define({
    root: ({
        io: {
            proxyNotSet: "esri.config.defaults.io.proxyUrl is not set. If making a request to a CORS enabled server, please push the domain into esri.config.defaults.io.corsEnabledServers."
        },
        map: {
            deprecateReorderLayerString: "Map.reorderLayer(/*String*/ id, /*Number*/ index) deprecated. Use Map.reorderLayer(/*Layer*/ layer, /*Number*/ index).",
            deprecateShiftDblClickZoom: "Map.(enable/disable)ShiftDoubleClickZoom deprecated. Shift-Double-Click zoom behavior will not be supported."
        },
        basemaps: {
            streets: "Streets",
            satellite: "Imagery",
            hybrid: "Imagery with Labels",
            terrain: "Terrain with Labels",
            topo: "Topographic",
            gray: "Light Gray Canvas",
            "dark-gray": "Dark Gray Canvas",
            oceans: "Oceans",
            "national-geographic": "National Geographic",
            osm: "OpenStreetMap",
            "streets-night-vector": "World Street Map (Night)",
            "streets-relief-vector": "World Street Map (with Relief)",
            "streets-navigation-vector": "World Navigation Map"
        },
        geometry: {
            deprecateToScreenPoint: "esri.geometry.toScreenPoint deprecated. Use esri.geometry.toScreenGeometry.",
            deprecateToMapPoint: "esri.geometry.toMapPoint deprecated. Use esri.geometry.toMapGeometry."
        },
        layers: {
            tiled: {
                tileError: "Unable to load tile"
            },
            dynamic: {
                imageError: "Unable to load image"
            },
            graphics: {
                drawingError: "Unable to draw graphic "
            },
            agstiled: {
                deprecateRoundrobin: "Constructor option 'roundrobin' deprecated. Use option 'tileServers'."
            },
            imageParameters: {
                deprecateBBox: "Property 'bbox' deprecated. Use property 'extent'."
            },
            FeatureLayer: {
                noOIDField: "objectIdField is not set [url: ${url}]",
                fieldNotFound: "unable to find '${field}' field in the layer 'fields' information [url: ${url}]",
                noGeometryField: "unable to find a field of type 'esriFieldTypeGeometry' in the layer 'fields' information. If you are using a map service layer, features will not have geometry [url: ${url}]",
                invalidParams: "query contains one or more unsupported parameters",
                updateError: "an error occurred while updating the layer",
                createUserSeconds: "Created by ${userId} seconds ago",
                createUserMinute: "Created by ${userId} a minute ago",
                editUserSeconds: "Edited by ${userId} seconds ago",
                editUserMinute: "Edited by ${userId} a minute ago",
                createSeconds: "Created seconds ago",
                createMinute: "Created a minute ago",
                editSeconds: "Edited seconds ago",
                editMinute: "Edited a minute ago",
                createUserMinutes: "Created by ${userId} ${minutes} minutes ago",
                createUserHour: "Created by ${userId} an hour ago",
                createUserHours: "Created by ${userId} ${hours} hours ago",
                createUserWeekDay: "Created by ${userId} on ${weekDay} at ${formattedTime}",
                createUserFull: "Created by ${userId} on ${formattedDate} at ${formattedTime}",
                editUserMinutes: "Edited by ${userId} ${minutes} minutes ago",
                editUserHour: "Edited by ${userId} an hour ago",
                editUserHours: "Edited by ${userId} ${hours} hours ago",
                editUserWeekDay: "Edited by ${userId} on ${weekDay} at ${formattedTime}",
                editUserFull: "Edited by ${userId} on ${formattedDate} at ${formattedTime}",
                createUser: "Created by ${userId}",
                editUser: "Edited by ${userId}",
                createMinutes: "Created ${minutes} minutes ago",
                createHour: "Created an hour ago",
                createHours: "Created ${hours} hours ago",
                createWeekDay: "Created on ${weekDay} at ${formattedTime}",
                createFull: "Created on ${formattedDate} at ${formattedTime}",
                editMinutes: "Edited ${minutes} minutes ago",
                editHour: "Edited an hour ago",
                editHours: "Edited ${hours} hours ago",
                editWeekDay: "Edited on ${weekDay} at ${formattedTime}",
                editFull: "Edited on ${formattedDate} at ${formattedTime}"
            }
        },
        tasks: {
            gp: {
                gpDataTypeNotHandled: "GP Data type not handled."
            },
            na: {
                route: {
                    routeNameNotSpecified: "'RouteName' not specified for at least 1 stop in stops FeatureSet."
                }
            },
            query: {
                invalid: "Unable to perform query. Please check your parameters."
            }
        },
        toolbars: {
            draw: {
                convertAntiClockwisePolygon: "Polygons drawn in anti-clockwise direction will be reversed to be clockwise.",
                addPoint: "Click to add a point",
                addShape: "Click to add a shape, or press down to start and let go to finish",
                addMultipoint: "Click to start adding points",
                freehand: "Press down to start and let go to finish",
                start: "Click to start drawing",
                resume: "Click to continue drawing",
                complete: "Double-click to complete",
                finish: "Double-click to finish",
                invalidType: "Unsupported geometry type"
            },
            edit: {
                invalidType: "Unable to activate the tool. Check if the tool is valid for the given geometry type.",
                deleteLabel: "Delete"
            }
        },
        virtualearth: {
            // minMaxTokenDuration:"Token duration must be greater than 15 minutes and lesser than 480 minutes (8 hours).",
            vetiledlayer: {
                //tokensNotSpecified:"Either clientToken & serverToken must be provided or tokenUrl must be specified."
                bingMapsKeyNotSpecified: "BingMapsKey must be provided."
            },
            vegeocode: {
                //tokensNotSpecified:"Either serverToken must be provided or tokenUrl must be specified.",
                bingMapsKeyNotSpecified: "BingMapsKey must be provided.",
                requestQueued: "Server token not retrieved. Queing request to be executed after server token retrieved."
            }
        },
        widgets: {
            appProxySettings: {
              premiumContent: "Subscriber Content",
              untitled: "Untitled (${url})"
            },
            attributeInspector: {
                NLS_first: "First",
                NLS_previous: "Previous",
                NLS_next: "Next",
                NLS_last: "Last",
                NLS_deleteFeature: "Delete",
                NLS_title: "Edit Attributes",
                NLS_errorInvalid: "Invalid",
                NLS_validationInt: "Value must be an integer.",
                NLS_validationFlt: "Value must be a float.",
                NLS_of: "of",
                NLS_noFeaturesSelected: "No features selected"
            },
            basemapToggle: {
                "toggle": "Toggle basemap"
            },
            homeButton: {
                "home": {
                    "button": "Home",
                    "title": "Default extent"
                }
            },
            layerSwipe: {
                "title": "Drag to see underlying layer"
            },
            locateButton: {
                "locate": {
                    "button": "My Location",
                    "title": "Find my location",
                    "tracking": "Track location",
                    "stopTracking":"Stop tracking location"
                }
            },
            overviewMap: {
                NLS_drag: "Drag To Change The Map Extent",
                NLS_show: "Show Map Overview",
                NLS_hide: "Hide Map Overview",
                NLS_maximize: "Maximize",
                NLS_restore: "Restore",
                NLS_noMap: "'map' not found in input parameters",
                NLS_noLayer: "main map does not have a base layer",
                NLS_invalidSR: "spatial reference of the given layer is not compatible with the main map",
                NLS_invalidType: "unsupported layer type. Valid types are 'TiledMapServiceLayer' and 'DynamicMapServiceLayer'"
            },
            timeSlider: {
                NLS_first: "First",
                NLS_previous: "Previous",
                NLS_next: "Next",
                NLS_play: "Play/Pause",
                NLS_invalidTimeExtent: "TimeExtent not specified, or in incorrect format."
            },
            mdSlider: {
                NLS_play: "Play/Pause",
                NLS_previous: "Previous",
                NLS_next: "Next"
            },
            attachmentEditor: {
                NLS_attachments: "Attachments:",
                NLS_add: "Add",
                NLS_none: "None",
                NLS_error: "There was an error.",
                NLS_fileNotSupported: "This file type is not supported."
            },
            directions: {
                error: {
                    notEnoughStops: "Enter an origin and a destination.",
                    notReady: "Directions Widget is not done loading, or there was an error during initialization.",
                    unknownStop: "Location '<name>' could not be found.",
                    routeTask: "Unable to route to these addresses.",
                    locator: "Location could not be found.",
                    invalidStopType: "Invalid stop type",
                    locatorUndefined: "Unable to reverse geocode. Locator URL is undefined.",
                    noAddresses: "No addresses were returned.",
                    noStops: "No stops were given to be added.",
                    maximumStops: "The maximum number of stops has been reached.",
                    cantFindRouteServiceDescription: "Route service description was not reached or recognized. Please check service URL and/or user credentials, if specified.",
                    maxWalkingDistance: "The distance between any inputs must be less than 50 miles (80 kilometers) when walking.",
                    nonNAmTruckingMode: "Calculating trucking routes outside of North and Central America is not currently supported.",
                    cantRemoveStop: "Failed to remove stop.",
                    waypointShouldBeInBetweenStops: "A waypoint can only be inserted in between existing stops or other waypoints.",
                    couldNotUpdateStop: "Could not update stop.",
                    cantSaveRoute: "An error happened while saving the route.",
                    accessDenied: "You do not have access to this route layer. You are currently signed in as: ",
                    loadError: "Error loading route layer."
                },
                time: {
                  min: "min",
                  hr: "hr"
                },
                units: {
                    esriKilometers: {
                        name: "kilometers",
                        abbr: "km"
                    },
                    esriMeters: {
                        name: "meters",
                        abbr: "m"
                    },
                    esriMiles: {
                        name: "miles",
                        abbr: "mi"
                    },
                    esriFeet: {
                        name: "feet",
                        abbr: "ft"
                    },
                    esriYards: {
                        name: "yards",
                        abbr: "yd"
                    },
                    esriNauticalMiles: {
                        name: "nautical miles",
                        abbr: "nm"
                    }
                },
                travelMode: {
                    car: "By Car",
                    truck: "By Truck",
                    walking: "Walking"
                },
                impedance:{
                    fastest: "Fastest",
                    shortest: "Shortest"
                },
                unlocatedStop: "<unknown location>",
                leaveNow: "Leave Now",
                departAt: "Depart At",
                GMT: "GMT",
                showOptions: "Options",
                hideOptions: "Close",
                findOptimalOrder: "Optimize order",
                useTraffic: "Show traffic",
                trafficLabelLive: "As of now",
                trafficLabelDepartAt: "As of departure",
                seeTrafficAvailability: "See availability",
                onAverage: "typically",
                noTraffic: "No Traffic info",
                heavyTraffic: "Heavy Traffic",
                ligthTraffic: "Light Traffic",
                returnToStart: "Return to start",
                addDestination: "Add",
                viewFullRoute: "Zoom to full route",
                getDirections: "Get Directions",
                clearDirections: "Clear",
                reverseDirections: "Reverse directions",
                activate: "Add stops by clicking on the map or modify route with waypoints",
                lineBarrier: "Barriers",
                lineBarrierFreehand: "Press down to start and let go to finish. Click to delete.",
                print: "Print",
                printNotes: "Enter notes here",
                printDisclaimer: "Directions are provided for planning purposes only and are subject to <a href=\'http:\/\/www.esri.com\/legal\/software-license\' target=\'_blank\'>Esri\'s terms of use<\/a>. Dynamic road conditions can exist that cause accuracy to differ from your directions and must be taken into account along with signs and legal restrictions. You assume all risk of use.",
                retrievingMyLocation: "Retrieving location...",
                myLocationError: "Cannot retrieve location",
                setToMyLocation: "Use my current location",
                setToMyLocationTitle: "Depart from my current location",
                stopNoTitle: "Stop #",
                maneuver: "Route Maneuver",
                stop: "Location",
                waypoint: "Waypoint",
                dragRoute: "Drag to change route",
                dragStop: "Drag to change location or click to see details",
                dragWaypoint: "Drag to change location or click to remove",
                toNearbyStops: "to nearby stop(s)",
                saveTitle: "Save and share route",
                layerName: "Result layer name",
                save: "Save",
                saveAs: "Save as new",
                routeIsSaved: "Route was successfully saved.",
                share: "Share the route",
                serviceTime: "Service time",
                serviceDistance: "Service distance",
                routeLayerEmpty: "Loaded layer is empty.",
                routeLayerStopsOnly: "Loaded layer has stops only. Click GET DIRECTIONS to build route."
            },
            editor: {
                tools: {
                    NLS_attributesLbl: "Attributes",
                    NLS_cutLbl: "Cut",
                    NLS_deleteLbl: "Delete",
                    NLS_extentLbl: "Extent",
                    NLS_freehandPolygonLbl: "Freehand Polygon",
                    NLS_freehandPolylineLbl: "Freehand Polyline",
                    NLS_pointLbl: "Point",
                    NLS_polygonLbl: "Polygon",
                    NLS_polylineLbl: "Polyline",
                    NLS_reshapeLbl: "Reshape",
                    NLS_selectionNewLbl: "New selection",
                    NLS_selectionAddLbl: "Add to selection",
                    NLS_selectionClearLbl: "Clear selection",
                    NLS_selectionRemoveLbl: "Subtract from selection",
                    NLS_selectionUnionLbl: "Union",
                    NLS_autoCompleteLbl: "Auto Complete",
                    NLS_unionLbl: "Union",
                    NLS_rectangleLbl: "Rectangle",
                    NLS_circleLbl: "Circle",
                    NLS_ellipseLbl: "Ellipse",
                    NLS_triangleLbl: "Triangle",
                    NLS_arrowLbl: "Arrow",
                    NLS_arrowLeftLbl: "Left Arrow",
                    NLS_arrowUpLbl: "Up Arrow",
                    NLS_arrowDownLbl: "Down Arrow",
                    NLS_arrowRightLbl: "Right Arrow",
                    NLS_undoLbl: "Undo",
                    NLS_redoLbl: "Redo"
                }
            },
            Search: {
              main: {
                searchButtonTitle: "Search",
                clearButtonTitle: "Clear search",
                placeholder: "Find address or place",
                searchIn: "Search in",
                lonlat: "Longitude, Latitude",
                reverseLonLatHeader: "Did you mean?",
                all: "All",
                allPlaceholder: "Find address or place",
                emptyValue: "Please enter a search term.",
                untitledResult: "Untitled",
                untitledSource: "Untitled source",
                noResults: "No results",
                noResultsFound: "There were no results found for ${value}.",
                showMoreResults: "Show more results",
                hideMoreResults: "Hide",
                searchResult: "Search result",
                moreResultsHeader: "More results",
                esriLocatorName: "Esri World Geocoder"
              }
            },
            Geocoder: {
                main: {
                    clearButtonTitle: "Clear Search",
                    searchButtonTitle: "Search",
                    geocoderMenuButtonTitle: "Change Geocoder",
                    geocoderMenuHeader: "Search in",
                    geocoderMenuCloseTitle: "Close Menu",
                    untitledGeocoder: "Untitled geocoder"
                },
                esriGeocoderName: "Esri World Geocoder"
            },
            geocodeMatch: {
              match:{
                mapAllCandidatesLabel: "Map All Suggestions",
                defaultSortOrderLabel: "Default Sort Order",
                tableOptionsLabel: "Options",
                columnLabelAddress: "Address",
                columnLabelType: "Type",
                columnLabelScore: "Score",
                noDataMsg: "No Results.",
                userCreatedLabel: "User Created",
                defaultMatchType: "DefaultMatch"
              },
              popup:{
                noAddress: "No Address Found.",
                matchButtonLabel: "Match",
                discardButtonLabel: "Discard",
                checkBoxLocation: "Location (X, Y)",
                checkBoxAddress: "Suggested Address",
                addressTitle: "Suggested Address",
                optionsTitle: "Match Options:",
                loadingPH: "Searching...",
                locationTitle: "Location",
                xTitle: "X: ",
                yTitle: "Y: "
              },
              customLabel: "Custom",
              idProperty: "id",
              gridTitle: "Suggestions",
              matchedLC: "matched",
              matchedUC: "Matched",
              unmatchedLC: "unmatched",
              unmatchedUC: "Unmatched"
            },
            geocodeReview: {
              review:{
                noDataMsg1: "No Unmatched Features",
                noDataMsg2: "No Matched Features",
                noDataMsg3: "No Reviewed Features",
                columnOriginalLocation: "Original Location",
                columnSelectedLocation: "Selected Location",
                columnOriginalAddress: "Original Address",
                columnSelectedAddress: "Selected Address"
              },
              customLabel: "Custom",
              unmatchedLC: "unmatched",
              matchedLC: "matched",
              unmatchedUC: "Unmatched",
              matchedUC: "Matched",
              totalUC: "Total",
              remainingUC: "Remaining",
              idProperty: "id",
              reviewedUC: "Reviewed",
              columnLabelAddress: "Address",
              of: "of",
              unmatchedTotal: "Unmatched (${count} Total)",
              unmatchedRemaining: "Unmatched (${count1} of ${count2} Remaining)",
              matchedTotal:"Matched (${count} Total)",
              reviewedTotal: "Reviewed (${count} Total)"
            },
            FeatureTable: {
              // Menu Options
              options: "Options",
              sortAsc : "Sort Ascending",
              sortDesc: "Sort Descending",
              defaultSort: "Default Sort Order",
              showSelected: "Show Selected Records",
              clearSelection: "Clear Selection",
              toggleColumns: "Show/Hide Columns",
              // General UX
              statistics: "Statistics",
              close: "Close",
              untitled: "Untitled",
              loadingData: "Loading Feature Data...",
              noData: "No Data Found",
              dataError: "Data Error",
              gridHeader: "${gridTitle} (${featureCount} features, ${featureSelectedCount} selected)",
              // 3.16
              add: "Add",
              show: "Show",
              hide: "Hide",
              relatedRecords: "Related Records",
              photosAndFiles: "Photos and Files",
              attachments: "Attachments",
              owners: "Owners",
              parenValue: "(${value})",
              date: "Date",
              number: "Number",
              string: "String",
              //3.17
              centerOnSelection: "Center on Selection",
              numberOfValues: "Number of Values",
              sumOfValues: "Sum of Values",
              minimum: "Minimum",
              maximum: "Maximum",
              average: "Average",
              standardDeviation: "Standard Deviation",
              fieldLabel: "Field: ${fieldName}",
              view: "View",
              upload: "Upload",
              uploading: "Uploading...",
              uploadFail: "Upload Failed.",
              uploadSuccess: "Upload Successful!",
              deleting: "Deleting...",
              deleteSuccess: "Delete Successful.",
              deleteFail: "Delete Failed.",
              empty: "- empty -",
              showDetailedView: "Show Detailed View",
              //Attachment File Sizes
              B: "${fileSize} B",
              kB: "${fileSize} kB",
              MB: "${fileSize} MB",
              GB: "${fileSize} GB",
              TB: "${fileSize} TB",
              // Error Messages (Data Tab)
              errorApplyFilter: "Unable to apply filter.",
              errorGetStats: "Could not get statistics.",
              errorSelectFeatures: "Could not select features.",
              errorLoadRow: "Could not load the row. Selection failed.",
              errorValidExtent: "Could not generate valid extent.",
              errorRollback: "Could not rollback value.",
              errorUpdateFailed: "Update failed.",
              errorDomainType: "Domain type is not supported.",
              errorFeatureInfo: "Could not get feature information.",
              errorGenerateStore: "Could not generate store.",
              //arcgisonline implementation (3.18 / 4.3)
              errorAccessingData: "Accessing data failed",
              showAllRecords: "Show All Records",
              selected: "${num} selected",
              saveSelectionAsFilter: "Save Selection as Filter",
              allColums: "All Columns",
              selectVisibleRasters: "Select Visible Images",
              zeroRasters: "0 images",
              oneRaster: "1 image",
              moreRasters: "${num} images",
              lockRaster: "Display Selected Images",
              unlockRaster: "Display All Images",
              //arcgisonline implementation (3.19 / 4.4)
              tableOptions: "Table Options",
              hideTable: "Hide Table",
              accessingData: "Please wait... Accessing data.",
              layerNotResponding: "Unable to display table. The layer is not responding."
            },
            FeatureAttachments: {
              add: "Add",
              view: "View",
              upload: "Upload",
              close: "Close",
              uploading: "Uploading...",
              uploadFail: "Upload Failed.",
              uploadSuccess: "Upload Successful!",
              deleting: "Deleting...",
              deleteSuccess: "Delete Successful.",
              deleteFail: "Delete Failed.",
              error: "Error.",
              B: "${fileSize} B",
              kB: "${fileSize} kB",
              MB: "${fileSize} MB",
              GB: "${fileSize} GB",
              TB: "${fileSize} TB",
              fileNotSupported: "File type is not supported."
            },
            HistogramTimeSlider: {
                count: "Count: ${count}",
                dateRange: "Date Range: ${start} - ${end}"
            },
            layerList: {
              legend: "Legend",
              sublayers: "Sublayers",
              opacity: "Opacity",
              expand: "Expand",
              collapse: "Collapse",
              noSublayers: "No sublayers to display",
              noLayers: "No layers to display."
            },
            legend: {
                NLS_points: "Points",
                NLS_lines: "Lines",
                NLS_areas: "Areas",
                NLS_creatingLegend: "Creating legend",
                NLS_noLegend: "No legend",
                NLS_dotValue: "1 Dot = ${value} ${unit}",
                // Examples: "1 Dot = 1000 People", "1 Dot = 3200 Acres"
                NLS_currentObservations: "Current observations",
                NLS_previousObservations: "Previous observations",
                high: "High",
                low: "Low",
                NLS_esriMetersPerSecond: "m/s",
                NLS_esriKilometersPerHour: "km/h",
                NLS_esriKnots: "knots",
                NLS_esriFeetPerSecond: "ft/sec",
                NLS_esriMilesPerHour: "mph",
                showField: "${field}",
                showNormField: "${field} divided by ${normField}",
                showNormPct: "${field} as a percent of the total",
                showRatio: "Ratio of ${field} to ${normField}",
                showRatioPercent: "${field} as a percent of ${normField}",
                showRatioPercentTotal: "${field} as a percent of ${field} and ${normField}"
            },
            popup: {
                NLS_moreInfo: "More info",
                NLS_searching: "Searching",
                NLS_prevFeature: "Previous feature",
                NLS_nextFeature: "Next feature",
                NLS_close: "Close",
                NLS_prevMedia: "Previous media",
                NLS_nextMedia: "Next media",
                NLS_noInfo: "No information available",
                NLS_noAttach: "No attachments found",
                NLS_maximize: "Maximize",
                NLS_restore: "Restore",
                NLS_zoomTo: "Zoom to",
                NLS_pagingInfo: "(${index} of ${total})",
                NLS_attach: "Attachments"
            },
            measurement: {
                NLS_distance: "Distance",
                NLS_area: "Area",
                NLS_location: "Location",
                NLS_resultLabel: "Measurement Result",
                NLS_length_miles: "Miles",
                NLS_length_kilometers: "Kilometers",
                NLS_length_feet: "Feet",
                NLS_length_meters: "Meters",
                NLS_length_yards: "Yards",
                NLS_length_nautical_miles: "Nautical Miles",
                NLS_area_acres: "Acres",
                NLS_area_sq_miles: "Sq Miles",
                NLS_area_sq_kilometers: "Sq Kilometers",
                NLS_area_hectares: "Hectares",
                NLS_area_sq_yards: "Sq Yards",
                NLS_area_sq_feet: "Sq Feet",
                NLS_area_sq_meters: "Sq Meters",
                NLS_area_sq_nautical_miles: "Sq Nautical Miles",
                NLS_deg_min_sec: "DMS",
                NLS_decimal_degrees: "Degrees",
                NLS_map_coordinate: "Map Coordinate",
                NLS_longitude: "Longitude",
                NLS_latitude: "Latitude",
                NLS_MGRS: "MGRS",
                NLS_USNG: "USNG",
                NLS_UTM:"UTM",
                NLS_GeoRef: "GeoRef",
                NLS_GARS: "GARS",
                NLS_geometry_service_error: "Geometry Service Error",
                NLS_calculating: "Calculating...",
                NLS_length_miles_us: "Miles (US)",
                NLS_area_sq_miles_us: "Sq Miles (US)",
                NLS_length_feet_us: "Feet (US)",
                NLS_area_sq_feet_us: "Sq Feet (US)",
                NLS_length_yards_us: "Yards (US)",
                NLS_area_sq_yards_us: "Sq Yards (US)",
                NLS_area_acres_us: "Acres (US)"
            },
            bookmarks: {
                NLS_add_bookmark: "Add Bookmark",
                NLS_new_bookmark: "Untitled",
                NLS_bookmark_edit: "Edit",
                NLS_bookmark_remove: "Remove"
            },
            print: {
                NLS_print: "Print",
                NLS_printing: "Printing",
                NLS_printout: "Printout"
            },
            textSymbolEditor: {
                symbolConfiguration: "Symbol Configuration",
                alignment: "Alignment",
                color: "Color",
                halo:"Halo"
            },
            scalebar: {
                km: "km",
                mi: "mi",
                ft: "ft",
                m: "m"
            },
            templatePicker: {
                creationDisabled: "Feature creation is disabled for all layers.",
                loading: "Loading.."
            },
            renderingRule: {
                rendererLabelTitle: "Renderer",
                bandCombinationLabelTitle: "RGB composite",
                userDefinedRendererTitle: "User Defined Renderer",
                userDefinedRendererDesc: "A user defined renderer. Use different bands for inputs to the Red, Green, and Blue channels (multi-band services only). Apply different radiometric enhancement algorithms to make image look better.",
                imageEnhancementLabelTitle: "Image Enhancement",
                stretchDescLabel: "Apply contrast enhancements to improve the image display.",
                stretchMethodLabel: "Stretch Type:",
                stretchMethodNoneDesc: "No additional enhancements applied.",
                stretchMethodMinMaxDesc: "Stretch to the entire range of pixel values.",
                numStdDevLabelTitle: "Trim extreme pixel values beyond",
                numStdDevEndLabelTitle: "standard deviations.",
                draLabelTitle: "Dynamic range adjustment",
                minMaxDescLabelTitle: "Trim extreme pixel values",
                minPercentLabelTitle: "Exclude bottom:",
                maxPercentLabelTitle: "Exclude top:",
                percentLabelTitle: "%",
                gammaLabelTitle: "Gamma:",
                bandNamesRequestMsg: "Requesting band information...",
                noneStretchAlias: "None",
                minMaxStretchAlias: "Minimum and Maximum",
                stdDevStretchAlias: "Standard Deviation",
                percentClipStretchAlias: "Percent Clip",
                minGammaLabel: "0.1",
                maxGammaLabel: "10",
                colorRampTitle: "Color Ramp"
            },

            colorRampSelector: {
              colorRamps: {
                none: "None",
                blackToWhite_predefined: "Black to White",
                yellowToRed_predefined: "Yellow to Red",
                slope_predefined: "Slope",
                aspect_predefined: "Aspect",
                errors_predefined: "Errors",
                heatmap1_predefined: "Heatmap #1",
                elevation1_predefined: "Elevation #1",
                elevation2_predefined: "Elevation #2",
                blueBright_predefined: "Blue Bright",
                blueLightToDark_predefined: "Blue Light to Dark",
                blueGreenBright_predefined: "Blue-Green Bright",
                blueGreenLightToDark_predefined: "Blue-Green Light to Dark",
                brownLightToDark_predefined: "Brown Light to Dark",
                brownToBlueGreenDivergingBright_predefined: "Brown to Blue Green Diverging, Bright",
                brownToBlueGreenDivergingDark_predefined: "Brown to Blue Green Diverging, Dark",
                coefficientBias_predefined: "Coefficient Bias",
                coldToHotDiverging_predefined: "Cold to Hot Diverging",
                conditionNumber_predefined: "Condition Number",
                cyanToPurple_predefined: "Cyan to Purple",
                cyanLightToBlueDark_predefined: "Cyan-Light to Blue-Dark",
                distance_predefined: "Distance",
                grayLightToDark_predefined: "Gray Light to Dark",
                greenBright_predefined: "Green Bright",
                greenLightToDark_predefined: "Green Light to Dark",
                greenToBlue_predefined: "Green to Blue",
                orangeBright_predefined: "Orange Bright",
                orangeLightToDark_predefined: "Orange Light to Dark",
                partialSpectrum_predefined: "Partial Spectrum",
                partialSpectrum1Diverging_predefined: "Partial Spectrum 1 Diverging",
                partialSpectrum2Diverging_predefined: "Partial Spectrum 2 Diverging",
                pinkToYellowGreenDivergingBright_predefined: "Pink to YellowGreen Diverging, Bright",
                pinkToYellowGreenDivergingDark_predefined: "Pink to YellowGreen Diverging, Dark",
                precipitation_predefined: "Precipitation",
                prediction_predefined: "Prediction",
                purpleBright_predefined: "Purple Bright",
                purpleToGreenDivergingBright_predefined: "Purple to Green Diverging, Bright",
                purpleToGreenDivergingDark_predefined: "Purple to Green Diverging, Dark",
                purpleBlueBright_predefined: "Purple-Blue Bright",
                purpleBlueLightToDark_predefined: "Purple-Blue Light to Dark",
                purpleRedBright_predefined: "Purple-Red Bright",
                purpleRedLightToDark_predefined: "Purple-Red Light to Dark",
                redBright_predefined: "Red Bright",
                redLightToDark_predefined: "Red Light to Dark",
                redToBlueDivergingBright_predefined: "Red to Blue Diverging, Bright",
                redToBlueDivergingDark_predefined: "Red to Blue Diverging, Dark",
                redToGreen_predefined: "Red to Green",
                redToGreenDivergingBright_predefined: "Red to Green Diverging, Bright",
                redToGreenDivergingDark_predefined: "Red to Green Diverging, Dark",
                spectrumFullBright_predefined: "Spectrum-Full Bright",
                spectrumFullDark_predefined: "Spectrum-Full Dark",
                spectrumFullLight_predefined: "Spectrum-Full Light",
                surface_predefined: "Surface",
                temperature_predefined: "Temperature",
                whiteToBlack_predefined: "White to Black",
                yellowToDarkRed_predefined: "Yellow to Dark Red",
                yellowToGreenToDarkBlue_predefined: "Yellow to Green to Dark Blue",
                yellowGreenBright_predefined: "Yellow-Green Bright",
                yellowGreenLightToDark_predefined: "Yellow-Green Light to Dark"
              }
            },
              vectorFieldRenderer: {
                symbolTypeLabelTitle: "Symbol:",
                simpleScalarLabelTitle: "Simple Scalar",
                simpleScalarDesc: "Symbolizes the magnitude of the data using graduated symbol sizes.",
                singleArrowLabelTitle: "Single Arrow",
                singleArrowDesc: "Symbolizes the magnitude and direction of flow with an arrow. The size of the arrow represents flow magnitude and the direction of the arrow indicates direction of flow.",
                windBarbsLabelTitle: "Wind Barbs",
                windBarbsDesc: "Symbolizes the magnitude and direction of wind using wind barbs. A long barb represents 10 knots, a short barb indicates 5 knots, and a black pennant represents 50 knots. The barb points to the direction where the wind originates.",
                beaufortLabelTitle: "Beaufort Wind Scale",
                beaufortDesc: "Symbolizes the magnitude and direction of wind using the Beaufort Wind Scale. The magnitude is categorized into levels 0 through 12, where 0 represents a calm wind (displayed in blue), and 12 represents a hurricane (red). The arrow points to the direction where the wind originates.",
                oceanCurrentKnotsLabelTitle: "Ocean Current (Nine classes)",
                oceanCurrentKnotsDesc: "Symbolizes the magnitude and direction of ocean current using nine predefined categories that range from 0 to 4 knots. The arrows point to the current direction of flow.",
                oceanCurrentMpsLabelTitle: "Ocean Current (Four classes)",
                oceanCurrentMpsDesc: "Symbolizes the magnitude and direction of ocean current using four predefined categories that range from 0 to 2 m/s. The arrows point to the current direction of flow.",
                classifiedArrowLabelTitle: "Classified Arrow",
                classifiedArrowDesc: "Symbolizes the magnitude and direction of flow, using categories calculated based on magnitude limits. Magnitude is represented using graduated symbol sizes and colors, ranging from green (low) to red (high).",
                dataTypeLabelTile: "Direction represents flow:",
                angleFromAlias: "From (Meteorological)",
                angleToAlias: "To (Oceanographic)",
                unitLabelTitle: "Convert magnitude ",
                outputUnitLabelTitle: "To: ",
                inputUnitLabelTitle: "From: ",
                symbolDensityLabelTitle: "Symbol density: ",
                sparseTileSizeAlias: "Sparse",
                denseTileSizeAlias: "Dense",
                symbolSizeLabelTitle: "Symbol scaling:",
                minSymbolSizeAlias: "Minimum",
                maxSymbolSizeAlias: "Maximum",
                advancedOptionsTitle: "Advanced Settings",
                magnitudeLabelTitle: "Magnitude",
                minAlias: "Minimum:",
                maxAlias: "Maximum:",
                invalidNumberMessage: "Please enter a numeric value.",
                dataValueRangeLabelTitle: "Symbol sizes represent magnitude range. Define magnitude range",
                applyLabelTitle: "Apply",
                esriMetersPerSecond: "m/s",
                esriKilometersPerHour: "km/h",
                esriKnots: "knots",
                esriFeetPerSecond: "ft/sec",
                esriMilesPerHour: "mph"
            },
            mosaicRule: {
                mosaicMethodLabel: "Prioritize imagery based on:",
                orderFieldLabel: "Attribute:",
                orderValueLabel: "Highest priority value:",
                lockRasterIdLabel: "Image IDs:",
                mosaicOperatorLabel: "Resolve overlapping pixels by:",
                descendingLabel: "Reverse the order",
                queryLabel: "Filter your images:",
                queryFieldLabel: "Field:",
                queryOperatorLabel: "Operator:",
                queryValueLabel: "Value:",
                selectAllLabel: "Select All",
                mosaicruleNotApplicable: "The image layer contains only one image and does not support changing image display order.",
                lockRasterRequestMsg: "Searching...",
                lockRasterRequestDoneMsg: "Done...",
                lockRasterRequestErrorMsg: "Error searching...",
                lockRasterRequestNoRasterMsg: "No rasters found...",
                refreshLockRasterIdsLabel: "Refresh",
                orderFieldNotFound: "Not Available",
                byAttributeAlias: "An attribute",
                centerAlias: "Image center closest to view center",
                lockRasterAlias: "A list of images",
                nadirAlias: "Sensor location closest to view center",
                northWestAlias: "Fixed order with most North West on top",
                seamlineAlias: "Defined Seamlines",
                viewPointAlias: "View point",
                noneAlias: "Only scale",
                firstAlias: "Only highest priority",
                lastAlias: "Only Lowest priority",
                minAlias: "Minimum of pixel values",
                maxAlias: "Maximum of pixel values",
                averageAlias: "Average of pixel values",
                blendAlias: "Blend pixel values",
                sumAlias: "Sum of pixel values"
            },
            multidimensionalFilter: {
                variableFilter: "Variable",
                filterByDimensionalValues: "Dimensions",
                fromTimeText: "Start Time:",
                toTimeText: "End Time:",
                fromNumericText: "From:",
                toNumericText: "To:",
                sliceTimeText: "Time:",
                sliceNumberText: "Value:",
                rangeText: "Define a range",
                hasRangesInfoText1: "Data points are in the form of ranges.",
                hasRangesInfoText2: "Please select predefined range values.",
                defaultVariableText: "Default",
                dateSnapText: "Snapped to closest date",
                numSnapText: "Snapped to closest value",
                disabledNumericDimensionText: "*Disabled because dimension slider is active.",
                disabledTimeDimensionText: "*Disabled because time slider is active.",
                applyLabelTitle: "Apply",
                startNumberButtonTooltip: "First",
                nextButtonTooltip: "Next",
                previousButtonTooltip: "Previous",
                endNumberButtonTooltip: "Last",
                startDateButtonTooltip: "Earliest",
                endDateButtonTooltip: "Latest",
                tooltipNumberFromValueText: "Minimum:",
                tooltipNumberToValueText: "Maximum:",
                tooltipCountText: "Count:",
                tooltipDateFromValueText: "Earliest:",
                tooltipDateToValueText: "Latest:"
            },
            imageServiceMeasure: {
                measureBtnText: "Measure",
                angularUnits: "Angular Units",
                linearUnits: "Linear Units",
                areaUnits: "Area Units",
                infoWindowTitle: "Measure Result",
                measure3DLabel: "Measure in 3D",
                settings: "Settings",
                mensurationCapabilitiesAbsentText: "Mensuration capabilities not supported by the layer.",
                measurementErrorGeneric: "Unable to perform measurement. Invalid or missing input parameters.",
                operationLabel: {
                  OPERATION_POINT: "Location",
                  OPERATION_DISTANCE_ANGLE: "Distance and Angle",
                  OPERATION_AREA_PERIMETER: "Area and Perimeter",
                  OPERATION_BASE_TOP: "Height: Base to Top",
                  OPERATION_BASE_TOP_SHADOW: "Height: Base to Top-Shadow",
                  OPERATION_TOP_TOP_SHADOW: "Height: Top to Top-Shadow",
                  OPERATION_CENTROID: "Centroid",
                  OPERATION_POINT_3D: "Location (3D)",
                  OPERATION_DISTANCE_ANGLE_3D: "Distance and Angle (3D)",
                  OPERATION_AREA_PERIMETER_3D: "Area and Perimeter (3D)",
                  OPERATION_CENTROID_3D: "Centroid (3D)"
                },
                unitLabel: {
                  INCHES: "Inches",
                  FEET: "Feet",
                  YARDS: "Yards",
                  MILES: "Miles",
                  NAUTICAL_MILES: "Nautical Miles",
                  MILLIMETERS: "Millimeters",
                  CENTIMETERS: "Centimeters",
                  DECIMETERS: "Decimeters",
                  METERS: "Meters",
                  KILOMETERS: "Kilometers",
                  RADIANS: "Radians",
                  DECIMAL_DEGREES: "Degrees",
                  SQUARE_INCHES: "Sq Inches",
                  SQUARE_FEET: "Sq Feet",
                  SQUARE_YARDS: "Sq Yards",
                  ACRES: "Acres",
                  SQUARE_MILES: "Sq Miles",
                  SQUARE_MILLIMETERS: "Sq Millimeters",
                  SQUARE_CENTIMETERS: "Sq Centimeters",
                  SQUARE_DECIMETERS: "Sq Decimeters",
                  SQUARE_METERS: "Sq Meters",
                  ARES: "Ares",
                  HECTARES: "Hectares",
                  SQUARE_KILOMETERS: "Sq Kilometers"
                },
                measureDialog: {
                  Point: "Location",
                  Centroid: "Centroid",
                  X: "X",
                  Y: "Y",
                  Distance: "Distance",
                  AzimuthAngle: "Azimuth Angle",
                  ElevationAngle: "Elevation Angle",
                  Area: "Area",
                  Perimeter: "Perimeter",
                  Height: "Height"
                }
            },
            obliqueViewer: {
                  northTooltip: "Viewing angle towards north",
                  southTooltip: "Viewing angle towards south",
                  eastTooltip: "Viewing angle towards east",
                  westTooltip: "Viewing angle towards west",
                  nadirTooltip: "Center as viewed from above"
            },
            tags: {
                addTags: "Add tag(s)",
                noTagsFound: "No existing tags match.",
                required: "One or more tags are required."
            },
            rendererSlider:{
              statsAvg : "Average : ${avg}",
              count: "Count : ${count}",
              percent: "${num}%",
              high: "High",
              low: "Low",
              color: {
                changeMinMaxToolTIp: "Type in a value.",
                handleToolTip: "Match data values to colors.",
                maxValueToolTip: "Type in the largest expected data value.",
                minValueToolTip: "Type in the smallest expected data value.",
                changeSymbol: "Change symbol"
              },
              size:{
                handleToolTip: "Match data values to symbol size.",
                sizeInputBoxLines: "Set line thickness from 0 to 18 pixels.",
                sizeInputBoxPoints: "Set symbol size from 1 to 120 pixels"
              }
            },
            histogram: {
              statsAvg : "Average : ${avg}",
              statsSD : "Standard Deviation : ${sd}",
              count: "Count : ${count}",
              percent: "${num}%"
            },

            zoomSlider: {
                zoomIn: "Zoom In",
                zoomOut: "Zoom Out"
            },

            colorPicker: {
                transparency: "Transparency",
                suggested: "Suggested",
                recent: "Recent",
                more: "More",
                moreColorsTooltip: "See more colors.",
                paletteTooltip: "Select a color.",
                noColorTooltip: "No color",
                hexInputTooltip: "A custom color in hexadecimal notation (#FFFF00)."
            },

            visibleScaleRangeSlider: {
                noLimit: "No Limit",
                preview: "Preview",

                currentScaleTooltip: "Current map scale (${scaleLabel})",
                customScaleInputTooltip: "Type in a scale.",

                current: "Current",
                setTo: "Set to",
                selectOne: "(select one)",
                setToSelectOne: "${setTo} ${selectOne}",
                useSameAs: "Use same as",

                layerNameAndType: "${name} (${type})",
                layer: "Layer",
                basemap: "Basemap",

                scaleRangeLabels: {
                    world: "World",
                    continent: "Continent",
                    countries: "Countries",
                    country: "Country",
                    states: "States",
                    state: "State",
                    counties: "Counties",
                    county: "County",
                    metropolitanArea: "Metropolitan Area",
                    cities: "Cities",
                    city: "City",
                    town: "Town",
                    neighborhood: "Neighborhood",
                    streets: "Streets",
                    street: "Street",
                    buildings: "Buildings",
                    building: "Building",
                    smallBuilding: "Small Building",
                    rooms: "Rooms",
                    room: "Room"
                },

                featuredScaleLabels: {
                    current: "Current Map View (${scaleLabel})",
                    world: "World (${scaleLabel})",
                    continent: "Continent (${scaleLabel})",
                    countriesBig: "Countries - Big (${scaleLabel})",
                    countriesSmall: "Countries - Small (${scaleLabel})",
                    statesProvinces: "States / Provinces (${scaleLabel})",
                    stateProvince: "State/Province (${scaleLabel})",
                    counties: "Counties (${scaleLabel})",
                    county: "County (${scaleLabel})",
                    metropolitanArea: "Metropolitan Area (${scaleLabel})",
                    cities: "Cities (${scaleLabel})",
                    city: "City (${scaleLabel})",
                    town: "Town (${scaleLabel})",
                    neighborhood: "Neighborhood (${scaleLabel})",
                    streets: "Streets (${scaleLabel})",
                    street: "Street (${scaleLabel})",
                    buildings: "Buildings (${scaleLabel})",
                    building: "Building (${scaleLabel})",
                    smallBuilding: "Small Building (${scaleLabel})",
                    rooms: "Rooms (${scaleLabel})",
                    room: "Room (${scaleLabel})"
                }
            },

            symbolEditor: {
                customImages: "Custom Images",
                preview: "Preview",

                shape: "Shape",
                fill: "Fill",
                outline: "Outline",

                px: "px",

                symbolSize: "Symbol Size",
                symbolSizeTooltip: "Set symbol size from ${min} to ${max} pixels.",
                useImage: "Use an Image",
                useImageTooltip: "Use a custom image.",
                imageUrlInputTooltip: "For best results, use a square image (PNG, GIF, or JPEG) no greater than 120 x 120 pixels. Other sizes will be adjusted to fit.",
                imageUrlInputPlaceholder: "https://<image URL>",
                selectCategoryTooltip: "Select a category.",

                imageLoadError: "Unable to load image.",
                symbolLoadError: "Unable to load symbols.",

                noFillTooltip: "No fill",
                symbolTransparencyTooltip: "Symbol transparency",

                lineWidth: "Line Width",
                lineWidthTooltip: "Set a line width from ${min} to ${max} pixels.",
                pattern: "Pattern",
                patternTooltip: "Line type",
                flipColors: "Flip Colors",
                flipColorsTooltip: "Invert color ramp.",
                noOutlineTooltip: "No outline",
                autoAdjustOutline: "Adjust outline automatically",

                saturation: "Saturation",
                saturationTooltip: "Adjust color intensity.",
                selectRampTooltip: "Select a color ramp."
            }
        },
        arcgis: {
            utils: {
                baseLayerError: "Unable to load the base map layer",
                geometryServiceError: "Provide a geometry service to open Web Map.",
                showing: "Showing ${fieldAlias}"
            }
        },
        identity: {
            lblItem: "item",
            title: "Sign In",
            info: "Please sign in to access the item on ${server} ${resource}",
            oAuthInfo: "Please sign in to continue.",
            lblUser: "Username:",
            lblPwd: "Password:",
            lblOk: "OK",
            lblSigning: "Signing in...",
            lblCancel: "Cancel",
            errorMsg: "Invalid username/password. Please try again.",
            invalidUser: "The username or password you entered is incorrect.",
            forbidden: "The username and password are valid, but you don't have access to this resource.",
            noAuthService: "Unable to access the authentication service."
        },
        //analysis widgets/////////////////
        common: {
            cancel: "Cancel",
            ok: "OK",
            create: "Create",
            close: "Close",
            done: "Done",
            apply: "Apply",
            remove: "Remove",
            open: "Open",
            edit: "Edit",
            share: "Share",
            save: "Save",
            help: "Help",
            warning: "Warning",
            deleteLabel: "Delete",
            titleLabel: "Title:",
            newLabel: "New",
            arcgis: "ArcGIS",
            previous: "Previous",
            submit: "Submit",
            next: "Next",
            yesLabel: "Yes",
            noLabel: "No",
            errorTitle: "Error",
            upload: "Upload",
            sum: "Sum",
            minimum: "Minimum",
            maximum: "Maximum",
            mean: "Mean",
            average: "Average",
            median: "Median",
            standardDeviation: "Standard Deviation",
            variety: "Variety",
            standardDev: "Std Deviation",
            statistic: "Statistic",
            attribute: "Field",
            selectAttribute: "Select attribute",
            runAnalysis: "Run Analysis",
            oneLabel: "1",
            twoLabel: "2",
            threeLabel: "3",
            fourLabel: "4",
            fiveLabel: "5",
            sixLabel: "6",
            sevenLabel: "7",
            eightLabel: "8",
            nineLabel: "9",
            tenLabel: "10",
            elevenLabel: "11",
            outputnameMissingMsg: "Output name is required",
            miles: "Miles",
            kilometers: "Kilometers",
            meters: "Meters",
            feet: "Feet",
            degree: "Decimal Degrees",
            inches: "Inches",
            nautMiles: "Nautical Miles",
            pointsUnit: "Point(s)",
            yards: "Yards",
            comingSoonLabel: "Coming Soon!",
            sqMiles: "Square Miles",
            sqFeet: "Square Feet",
            sqIn: "Square Inches",
            sqMapUnits: "Square Map Units",
            sqYards: "Square Yards",
            sqCm: "Square Centimeters",
            sqKm: "Square Kilometers",
            sqMeters: "Square Meters",
            hectares: "Hectares",
            acres: "Acres",
            seconds: "Seconds",
            minutes: "Minutes",
            hours: "Hours",
            count: "Count",
            min: "Min",
            max: "Max",
            stddev: "STDDEV",
            variance: "Variance",
            range: "Range",
            days: "Days",
            weeks: "Weeks",
            years: "Years",
            months: "Months",
            today: "Today",
            monday: "Monday",
            tuesday: "Tuesday",
            wednesday: "Wednesday",
            thursday: "Thursday",
            friday: "Friday",
            saturday: "Saturday",
            sunday: "Sunday",
            chooseSummarizeLabel: "Choose a layer to summarize",
            creditTitle: "Credit Usage Report",
            analysisLayers: "Analysis layers:",
            showCredits: "Show credits",
            learnMore: "Learn More",
            hoursSmall: "hr",
            minutesSmall: "min",
            secondsSmall: "sec",
            statsRequiredMsg: "At least one of the statistics parameters is required.",
            nowLabel: "Now",
            hrsLabel: "hrs",
            groupLabel: "Group",
            ungroupLabel: "Ungroup",
            and: "and",
            or: "or",
            add: "Add",
            polygons: "Polygons",
            points: "Points",
            lines: "Lines",
            input: "Input",
            areas: "Areas",
            validateRouteIdMsg: "Layers must have the same number of records, or one layer must have one record only.",
            straightLineDistance: "Line distance",
            outputLabel: "Output:",
            addPoint: "Click to add a point",
            movePoint: "Click to move the point",
            selectAll: "Select All",
            unselectAll: "Unselect All",
            selectLabel: "Select",
            queryLabel: "Query",
            drawnBoundary: "Drawn Boundary",
            basic: "Basic",
            intermediate: "Intermediate",
            advanced: "Advanced",
            majority: "Majority",
            minority: "Minority",
            addMinMajorityLable: "Add minority, majority",
            addPercentageLabel: "Add percentages",
            drivingMode: "Driving",
            truckingMode: "Trucking",
            walkingMode: "Walking",
            distanceMsg: "Only numeric values are allowed.",
            analysisLayerLabel: "Select the analysis layer",
            selectPointLayer: "You need to select a point feature layer to run ${toolName}.",
            selectPolyLayer: "You need to select an area (polygon) feature layer to run ${toolName}.",
            hotspotsLineFeatureMsg: "Line features are not supported as input to ${toolName}.",
            areaFeatureInvalidMsg: "Area features are not supported as input to ${toolName}.",
            overlayValidationMsg: "You need to have two feature layers in the map to perform ${toolName}.",
            aggregatePolyMsg: "You need to have at least one area (polygon) feature layer to run ${toolName}.",
            odPointMsg: "You need to have at least two point feature layers to run ${toolName}.",
            mapNotesAllMsg: "Map note contains points, lines and areas.  Only areas will be used for ${toolName}.",
            mapNotesPtsPoly: "Map note contains points and areas.  Only areas will be used for ${toolName}.",
            mapNotesLinesPoly: "Map note contains lines and areas.  Only areas will be used for ${toolName}.",
            mapNotesLinesPts: "Map note contains points and lines.  Only lines will be used for ${toolName}.",
            mergeValidationMsg: "Merge Layers requires at least two layers of the same feature type (point, line, area).",
            runAnalysisMsg: "Data is being extracted and will be available in My Content.",
            extractValidationMsg: "There is no data in the map that can be extracted. Data owner(s) must first allow others to export.",
            analysisSignInErrorMsg: "Unable to access the analysis service.",
            addBufExp: "Add Buffer Expession",
            drawLabel: "Draw",
            noneLabel: "None",
            chooseLabel: "Choose ...",
            browseAnalysisTitle: "Choose Living Atlas Analysis Layer",
            addLayer: "Add layer to map",
            withinMapArea: "Within map area",
            back: "Back",
            insufficientCreditsMsg: "You do not have enough credits to perform this operation. Contact your ArcGIS System Administrator for assistance.",
            decimeters: "Decimeters",
            millimeters: "Millimeters",
            centimeters: "Centimeters",
            noImageServiceMsg: "You need to have at least one image service layer to run ${toolName}.",
            noSingleBandISMsg: "You need to have a single band image service layer to run ${toolName}.",
            noMultiBandISMsg: "You need to have a multi-band image service layer to run ${toolName}.",
            browseLayers: "Browse Layers",
            addLayerBtnLabel: "Add Layer",
            timeEnabled: "Time Enabled",
            milliseconds: "Milliseconds",
            browseAnalysisLayers: "Choose Analysis Layer",
            listLabel: "Fields",
            allLabel: "All",
            geodesicLabel: "Geodesic",
            planarLabel: "Planar",
            spatialReference: "Spatial Reference (WKID)",
            enterCoords: "Enter coordinates in Web Mercator",
            addStatsLabel: "Add statistics (optional)",
            fieldExpLabel: "Expression",
            datastoreLabel: "Choose datastore",
            relationalDS: "Relational",
            spatialDS: "Spatiotemporal",
            greaterThanZeroMsg: "Value must be numeric greater than zero.",
            any: "Any",
            hexagon: "Hexagon",
            square: "Square",
            polygon: "Polygon",
            createSpaceRunMsg: "Create Space Time cube analysis result will be available in My Content.",
            fill: "Fill",
            zeroes: "Zeroes",
            spatialneighbhors: "Spatial Neighbors",
            spacetimeneighbors: "Space Time Neighbors",
            temporaltrend: "Temporal Trend",
            aggTimeStepsLabel: "Aggregate using time steps (optional)",
            intervalLabel: "Time step interval",
            repeatLabel: "How often to repeat the time step",
            timeRefLabel: "Time to align time steps to",
            choosePolyLayer: "Choose the polygon layer",
            selectSqBinSizeLbl: "Select the size for the square bins",
            selectHexBinSizeLbl: "Select the size for the hexagon bins",
            standard: "Standard Tools",
            bigData: "GeoAnalytics Tools",
            raster: "Raster Analysis",
            mostSimilar: "most",
            leastSimilar: "least",
            both: "most and least",
            numItemsFound: "${total} items found",
            checkCriteria: "Checking items for required criteria",
            settings: "Settings",
            spatial: "Spatial",
            temporal: "Temporal",
            attributeLbl: "Attribute",
            chooseSpatialJoin: "Choose a spatial relationship",
            chooseAttrJoin: "Choose the fields to match",
            chooseTemporalJoin: "Choose a temporal relationship",
            theLabel: "the",
            outputCellsize: "Output cell size",
            table: "Table",
            optimizeFor: "Optimize for",
            speed: "Speed",
            accuracy: "Accuracy",
            precision: "Precision",
            outputType: "Output type",
            featureLayer: "Feature Layer",
            routeLayers: "Route Layers",
            includeRouteLayers: "Include route layers",
            csv: "CSV",
            xls: "XLS",
            featureService: "Feature Service",
            notUsed: "Not Used"
        },
        analysisTools: {
            performAnalysis: "Perform Analysis",
            summarizeData: "Summarize Data",
            findLocations: "Find Locations",
            aggregateTool: "Aggregate Points",
            bufferTool: "Buffer Data",
            dataEnrichment: "Data Enrichment",
            analyzePatterns: "Analyze Patterns",
            useProximity: "Use Proximity",
            manageData: "Manage Data",
            aggregateToolName: "Aggregate Points",
            bufferToolName: "Create Buffers",
            aggregatePoints: "Aggregate Points",
            summarizeWithin: "Summarize Within",
            summarizeNearby: "Summarize Nearby",
            reconstructTracks: "Reconstruct Tracks",
            enrichLayer: "Enrich Layer",
            findNearest: "Find Nearest",
            findHotSpots: "Find Hot Spots",
            createBuffers: "Create Buffers",
            dissolveBoundaries: "Dissolve Boundaries",
            mergeLayers: "Merge Layers",
            extractData: "Extract Data",
            overlayLayers: "Overlay Layers",
            fieldCalculator: "Field Calculator",
            createDriveTimeAreas: "Create Drive-Time Areas",
            deriveNewLocations: "Derive New Locations",
            findExistingLocations: "Find Existing Locations",
            findSimilarLocations: "Find Similar Locations",
            exploreCorrelations: "Explore Correlations",
            findRoute: "Find Route",
            generateFleetPlan: "Generate Fleet-routing plan",
            createDensitySurface: "Create density surface",
            interpolatePoints: "Interpolate Points",
            orgUsrMsg: "You must be a member of an organization to run this service.",
            pubRoleMsg: "Your online account has not been assigned to the Publisher role.",
            servNameExists: "A result layer already exists with this name. Result layers must be named uniquely across the organization. Please use a different name.",
            outputLayerLabel: "Result layer name",
            outputFileName: "Output file name",
            emptyResultInfoMsg: "The result of your analysis did not return any features. No layer will be created.",
            invalidServiceName: "The result layer name contains one or more invalid characters (<, >, #, %, :, \", ?, &, +, /, or \\).",
            invalidServiceNameLength: "The result layer name length should be no more than 98 characters.",
            invalidEncodedServiceNameLength: "The encoded result layer name length should be less than 170 characters.",
            suggestedServiceNameLength: "The result layer name should be less than ${count} characters",
            requiredValue: "This value is required.",
            saveResultIn: "Save result in",
            useMapExtent: "Use current map extent",
            connectOriginsToDestinations: "Connect Origins to Destinations",
            planRoutes: "Plan Routes",
            calculateDensity: "Calculate Density",
            traceDownstream: "Trace Downstream",
            createWatershed: "Create Watersheds",
            createViewshed: "Create Viewshed",
            createWatersheds: "Create Watersheds",
            filterNoResults: "Filter did not return any results.",
            chooseBestFacilities: "Choose Best Facilities",
            createPanel: "Create Panel",
            createSpaceTimeCube: "Create Space Time Cube",
            joinFeatures: "Join Features",
            analyzeImage: "Analyze Image",
            analyzeTerrain: "Analyze Terrain",
            summarizeRasterWithin: "Summarize Raster Within",
            histogramRasterWithin: "Histogram Raster Within",
            findSuitableLocations: "Find Suitable Locations",
            filterLocations: "Filter Locations",
            calculateDistance: "Calculate Distance",
            findShortestPath: "Find Shortest Path",
            segmentImage: "Segment Image",
            classifyImage: "Classify Image",
            detectDifferences: "Detect Differences",
            monitorVegetation: "Monitor Vegetation",
            calculateSlope: "Calculate Slope",
            deriveAspect: "Derive Aspect",
            extractRaster: "Extract Raster",
            remapValues: "Remap Values",
            interpolatePointsRaster: "Interpolate Points",
            convertFeatureToRaster: "Convert Feature to Raster",
            convertRasterToFeature: "Convert Raster to Feature",
            rasterCalculator: "Raster Calculator",
            saveLayerType: "Output layer type",
            dynamicLayer: "Dynamic layer",
            permanentLayer: "Web Image layer",
            copytoDatastore: "Copy to Data Store",
            summarizeAttributes: "Summarize Attributes",
            findOutliers: "Find Outliers",
            geocodeLocations: "Geocode Locations from Table"
        },
        aggregatePointsTool: {
            aggregateDefine: "Count <b>${layername}</b> within",
            outputLayerName: "Aggregation of ${pointlayername} to ${polygonlayername}",
            groupByLabel: "Choose field to group by (optional)",
            itemDescription: "Feature layer generated from running the Aggregate Points solutions. Points from ${pointlayername} were aggregated to ${polygonlayername}",
            itemTags: "Analysis Result, Aggregate Points, ${pointlayername}, ${polygonlayername}",
            itemSnippet: "Feature layer generated from Aggregate Points",
            removeAttrStats: "Remove Attribute Statistics",
            keepPolygonLabel: "Keep areas with no points",
            chooseAreaLabel: "Choose layer containing aggregation areas",
            analysisLayerLabel: "Choose layer containing points to aggregate into areas",
            binsLabel: "Choose a distance to generate bins and aggregate into",
            polygonLabel: "Choose a polygon layer to aggregate into",
            aggOption: "Choose an area layer to aggregate into",
            bins: "Bins",
            outputSquareType: "Aggregation of ${pointlayername} by square bins",
            outputHexType: "Aggregation of ${pointlayername} by hexagon bins"
        },
        findHotSpotsTool: {
            hotspotsPolyDefine: "Analyze <b>${layername}</b>  to find statistically significant hot and cold spots of ",
            hotspotsPointDefine: "Analyze <b>${layername}</b>  to find statistically significant hot and cold spots ",
            fieldLabel: "with or without an analysis field",
            noAnalysisField: "No Analysis Field",
            hotspots: "Hot Spots",
            outputLayerName: "Hot Spots ${layername}",
            Options: "Options",
            defineBoundingLabel: "Define where points are possible",
            provideAggLabel: "Count points within",
            defaultBoundingOption: "None",
            defaultAggregationOption: "Fishnet Grid",
            itemDescription: "Feature layer generated from running the Find Hot Spots solution.",
            itemTags: "Analysis Result, Hot Spots, ${layername}, ${fieldname}",
            itemSnippet: "Feature layer generated from Find Hot Spots",
            chooseAttributeLabel: "Find clusters of high and low",
            divideByLabel: "Divide by (optional)",
            blayerName: "Drawn Boundaries",
            analysisLayerLabel: "Choose layer for which hot spots will be calculated",
            pointCounts: "Point Counts",
            enrichLabel: "Esri Population (uses credits)",
            binSizeLabel: "Select the bin size for aggregation",
            neighborhoodLabel: "Select the neighborhood size for hot spot calculations",
            aggTimeStepsLabel: "Find hot spots using time steps (optional)",
            intervalLabel: "Time step interval",
            repeatLabel: "Time step to aggregate into",
            timeRefLabel: "Reference time to align time step to",
            timeAlignLabel: "Choose how to align time steps",
            startTime: "Start Time",
            endTime: "End Time",
            referenceTime: "Reference Time",
            referenceTimeLabel: "Select the reference time",
            overrideOptions: "Override Options",
            distanceBand: "Distance Band",
            cellSize: "Cell Size",
            hexagonGrid: "Hexagon Grid"
        },
        overlayLayersTool: {
            overlayDefine: "Overlay <b>${layername}</b> with",
            chooseOverlayLayer: "Choose overlay layer",
            chooseOverlayMethod: "Choose overlay method",
            chooseOutputType: "Choose output type",
            itemDescription: "Feature layer generated from running the Overlay layers solution.",
            itemTags: "Analysis Result, Overlay layers, ${layername}",
            itemSnippet: "Feature layer generated from Overlay layers",
            unionOutputLyrName: "Union of ${layername} and ${overlayname}",
            intersectOutputLyrName: "Intersect of ${layername} and ${overlayname}",
            eraseOutputLyrName: "Erase ${layername} with ${overlayname}",
            overlayLayerPolyMsg: "The Overlay layer should be a Polygon Layer for Union overlay",
            notSupportedEraseOverlayMsg: "This Overlay layer is not supported for Erase overlay. Defaults to Intersect overlay.",
            intersect: "Intersect",
            union: "Union",
            erase: "Erase",
            analysisLayerLabel: "Choose input layer"
        },
        bufferTool: {
            bufferDefine: "Create buffers from <b>${layername}</b>",
            outputLayerName: "Buffer of ${layername}",
            sizeLabel: "Enter buffer size",
            sizeHelp: "To create multiple buffers, enter distances separated by spaces (2 3 5).",
            typeLabel: "Buffer type",
            resultLabel: "Result layer name",
            optionsLabel: "Options",
            itemDescription: "Feature layer generated from running the Buffer Features solution. Input from ${layername} were buffered by ${distance_field} ${units}",
            itemTags: "Analysis Result, Buffer, ${layername}",
            itemSnippet: "Feature layer generated from Buffer",
            overlap: "Overlap",
            dissolve: "Dissolve",
            include: "Include",
            exclude: "Exclude",
            around: "Around",
            sideType: "Side type",
            endType: "End type",
            left: "Left",
            right: "Right",
            round: "Round",
            flat: "Flat",
            multipleDistance: "Multiple distance buffers should be",
            rings: "Rings",
            disks: "Disks",
            areaofInputPoly: "Area of input polygons in buffer polygons",
            distance: "Distance",
            field: "Field",
            analysisLayerLabel: "Choose layer containing features to buffer",
            dissolveType: "Select the type of dissolve method",
            method: "Select the buffer method",
            allowMulitipart: "Allow multipart features",
            bufferDefineBd: "Choose layer to apply buffer to",
            bufferTypeBd: "Select the type of buffer to apply",
            selectFieldToDissLabel: "Select the fields to dissolve on",
            enterBufDist: "Enter the buffer distance",
            selectBufField: "Select a field to buffer by",
            createBufExp: "Create an expression to buffer by"
        },
        driveTimes: {
            toolDefine: "Create areas around <b>${layername}</b>",
            outputLayerName: "Drive from ${layername} (${breakValues} ${breakUnits})",
            outputModeLayerName: "${mode} from ${layername} (${breakValues} ${breakUnits})",
            driving: "Drive",
            trucking: "Truck",
            walking: "Walk",
            other: "Travel",
            measureLabel: "Measure",
            measureHelp: "To output multiple areas for each point, type sizes separated by spaces (2 3.5 5).",
            areaLabel: "Areas from different points",
            trafficLabel: "Use traffic",
            typicalTraffCdtnLabel: "Traffic based on typical conditions for",
            resultLabel: "Result layer name",
            liveTrafficLabel: "Live traffic",
            itemDescription: "Feature layer generated from running the Create Drive Times solution.",
            itemTags: "Analysis Result, Drive Times, ${layername}",
            itemSnippet: "Feature layer generated from Create Drive Times",
            split: "Split",
            seeAvailability: "See availability.",
            timeOfDeparture: "Time of departure",
            drivingDistance: "Driving Distance",
            drivingTime: "Driving Time",
            truckingTime: "Trucking Time",
            truckingDistance: "Trucking Distance",
            walkingDistance: "Walking Distance",
            walkingTime: "Walking Time",
            liveSingularTimeLabel: "Live traffic +1 hr ${minute} min",
            liveSingularHourTimeLabel: "Live traffic +1 hr",
            liveTimeLabel: "Live traffic +${hour} hr ${minute} min",
            liveTimeHoursLabel: "Live traffic +${hour} hr",
            liveTimeMinutesLabel: "Live traffic +${minute} min",
            analysisLayerLabel: "Choose point layer to calculate drive-time areas around"
        },
        routeOriginDestinationPairsTool: {
          toolDefine: "Route between pairs of points originating from <b>${layername}</b>",
          labelOne: "Route to destinations in",
          pairPoints: "Points with matching IDs will connect:",
          originTripId: "ID field in origins",
          destnTripId: "Matching ID field in destinations",
          includeSegments: "Include individual road segments.",
          inValidNumberRecordsMsg: "Layers must have the same number of records, or one layer must have one record only.",
          outputLayerName: "${layername} to ${destnlayername}",
          itemDescription: "Feature layer generated from running the Connect Origins to Destinations solution.",
          itemTags: "Analysis Result, Connect Origins to Destinations, ${layername}, ${destnlayername}",
          itemSnippet: "Feature layer generated from Connect Origins to Destinations",
          analysisLayerLabel: "Choose point layer representing the origin locations:"
        },
        planRoutesTool: {
          toolDefine: "Route vehicles to stops in <b>${layername}</b>",
          timeSpentLabel: "Time spent at each stop",
          defineRoutesLabel: "Define routes",
          startRoutesLabel: "Routes begin at",
          endRoutesLabel: "Routes end at",
          routes: "Routes",
          stops: "Stops",
          numRoutes: "Maximum number of vehicles to route",
          maxPtsRoute: "Maximum number of stops per vehicle",
          limitMaxTime: "Limit the total route time per vehicle",
          returnToStart: "Return to start",
          specifyStartTime: "Start time for all routes",
          createStartLoc: "Add point to map",
          createEndLoc: "Add point to map",
          selectStartLoc: "Select starting location",
          selectEndLoc: "Select ending location",
          vehicles: "Vehicles",
          routeId: "Route ID field",
          selectRouteId: "Select RouteID",
          stopsLabel: "Your layer has ${numStops} stops.",
          stopsLabelByExtent: "The current map extent shows ${numStops} stops.",
          outputLayerName: "Routes to ${layername}",
          itemDescription: "Feature layer generated from running the Plan Routes solution.",
          itemTags: "Analysis Result, Plan Routes, ${layername}",
          itemSnippet: "Feature layer generated from Plan Routes",
          startEndPtsValidMsg: "Start or end points not set",
          travelModeLabel: "Travel mode for routes",
          analysisLayerLabel: "Choose point layer representing stops to visit",
          resultLabel: "Result layer name",
          routeLayerTypeMsg: "Route Layers are being created and will be available in ${folderName} within My Content."
        },
        extractDataTool: {
            layersToExtract: "Layers to extract",
            studyArea: "Study area",
            outputDataFormat: "Output data format",
            filegdb: "File Geodatabase (.zip)",
            shpFile: "Shapefile (.zip)",
            lyrpkg: "Layer Package (.lpk)",
            selectFtrs: "Select features",
            clipFtrs: "Clip features",
            sameAsDisplay: "Same as Display",
            sameAsLayer: "Same as ${layername}",
            outputfileName: "Extract Data ${datetime}",
            itemDescription: "File generated from running the Extract Data solution.",
            itemTags: "Analysis Result, Extract Data",
            itemSnippet: "Analysis File item generated from Extract Data",
            kml: "KML (.kmz or .zip)",
            csvPoints: "CSV (.csv or .zip)  ",
            linesCSVValidationMsg: "Line and area layers cannot be extracted to CSV.  Choose a different format or uncheck all line and area layers.",
            runAnalysisMsg: "Data is being extracted and will be available in My Content."
        },
        summarizeWithinTool: {
            summarizeDefine: "For Features within <b>${sumWithinLayerName}</b>",
            outputLayerName: "Summarize ${summaryLayerName} within ${sumWithinLayerName}",
            groupByLabel: "Choose field to group by (optional)",
            itemDescription: "Feature layer generated from running the Summarize Within solution. ${summaryLayerName} were summarized within ${sumWithinLayerName}",
            itemTags: "Analysis Result, Summarize Within, ${sumWithinLayerName}, ${summaryLayerName}",
            itemSnippet: "Feature layer generated from Summarize Within",
            removeAttrStats: "Remove Attribute Statistics",
            summarizeMetricPoint: "Count of points",
            summarizeMetricLine: "Length of lines in",
            summarizeMetricPoly: "Sum Area in",
            addStatsLabel: "Attribute statistics",
            addStats: "Add statistics from the layer to summarize",
            sumLabel: "Summarize",
            analysisLayerLabel: "Choose an area layer to summarize other features within its boundaries",
            summDefineAnalysisLabel: "Choose type of area layer to summarize other features within its boundaries",
            addNonWightLabel: "Add non-weighted statistics from the layer to summarize",
            addWeightLabel: "Add weighted statistics from the layer to summarize",
            aggTimeStepsLabel: "Summarize using time slices (optional)",
            intervalLabel: "Time interval to be summarize into",
            repeatLabel: "Time step to summarize into",
            outputSquareType: "Summarize ${summaryLayerName} within square bins",
            outputHexType: "Summarize ${summaryLayerName} within hexagon bins"

        },
        summarizeNearbyTool: {
            summarizeDefine: "Summarize what is nearby <b>${sumNearbyLayerName}</b>",
            findNearLabel: "Summarize nearest features using a",
            outputLayerName: "Summarize ${summaryLayerName} in ${sumNearbyLayerName}",
            groupByLabel: "Choose field to group by (optional)",
            itemDescription: "Feature layer generated from running the Summarize Nearby solution. ${sumNearbyLayerName} were summarized nearby ${summaryLayerName}",
            itemTags: "Analysis Result, Summarize Nearby, ${sumNearbyLayerName}, ${summaryLayerName}",
            itemSnippet: "Feature layer generated from Summarize Nearby",
            removeAttrStats: "Remove Attribute Statistics",
            summarizeMetricPoint: "Count of points",
            summarizeMetricLine: "Total Length",
            summarizeMetricPoly: "Total Area",
            addStatsLabel: "Attribute statistics",
            addStats: "Add statistics from the layer to summarize",
            sumLabel: "Summarize",
            chooseLayer: "Choose layer to summarize",
            returnBdrycCheckLabel: "Return bounding areas",
            analysisLayerLabel: "Choose layer from which distances will be measured to features in the layer to summarize"
        },
        creditEstimator: {
            analysisLayersLabel: "Analysis layers:",
            totalRecordsLabel: "Total records:",
            creditsAvailLabel: "Credits available:",
            creditsReqLabel: "Credits required:",
            ntwCreditsReqLabel: "Network credits required:",
            EnrichCreditsLabel: "Enrichment credits required",
            maxCreditsLabel: "Maximum credits required:"
        },
        enrichLayerTool: {
            selectCountryLabel: "Select country",
            enrichDefine: "Enrich <b>${inputLayerName}</b>",
            chooseDataCollectionLabel: "Show available data for:",
            defAreasLabel: "Define areas to enrich",
            outputLayerName: "Enriched ${layername}",
            itemDescription: "Feature layer generated from running the Enrich layer solution. ${inputLayerName} were enriched",
            itemTags: "Analysis Result, Enrich Layer, ${inputLayerName}",
            itemSnippet: "Feature layer generated from Enrich layer",
            straightLineDistance: "Line distance",
            selectDataVar: "Select Variables",
            clickDataVar: "Click Select Variables to open Data Browser and browse for variables",
            selectedVars: "Selected Variables",
            usCountryCode: "United States",
            canadaCountryCode: "Canada",
            albaniaCountryCode:"Albania",
            australiaCountryCode: "Australia",
            austriaCountryCode: "Austria",
            bahrainCountryCode: "Bahrain",
            belarusCountryCode: "Belarus",
            bosniaCountryCode: "Bosnia and Herzegovina",
            botswanaCountryCode: "Botswana",
            belgiumCountryCode: "Belgium",
            brazilCountryCode: "Brazil",
            bulgariaCountryCode: "Bulgaria",
            chinaCountryCode: "China",
            colombiaCountryCode: "Colombia",
            croatiaCountryCode: "Croatia",
            cyprusCountryCode: "Cyprus",
            czechCountryCode: "Czech Republic",
            coteCountryCode: "Cote d'Ivoire",
            denmarkCountryCode: "Denmark",
            finlandCountryCode: "Finland",
            franceCountryCode: "France",
            germanyCountryCode: "Germany",
            ghanaCountryCode: "Ghana",
            greeceCountryCode: "Greece",
            hungaryCountryCode: "Hungary",
            icelandCountryCode: "Iceland",
            indiaCountryCode: "India",
            indonesiaCountryCode:"Indonesia",
            irelandCountryCode: "Ireland",
            israelCountryCode: "Israel",
            italyCountryCode: "Italy",
            japanCountryCode: "Japan",
            kazakhstanCountryCode: "Kazakhstan",
            kenyaCountryCode: "Kenya",
            latviaCountryCode: "Latvia",
            liechtensteinCountryCode: "Liechtenstein",
            lithuaniaCountryCode: "Lithuania",
            luxembourgCountryCode: "Luxembourg",
            malawiCountryCode: "Malawi",
            malaysiaCountryCode: "Malaysia",
            maltaCountryCode: "Malta",
            mauritiusCountryCode: "Mauritius",
            mexicoCountryCode: "Mexico",
            moldovaCountryCode: "Moldova",
            montenegroCountryCode: "Montenegro",
            mozambiqueCountryCode: "Mozambique",
            namibiaCountryCode: "Namibia",
            netherlandsCountryCode: "Netherlands",
            nzCountryCode: "New Zealand",
            nigeriaCountryCode: "Nigeria",
            norwayCountryCode: "Norway",
            peruCountryCode: "Peru",
            polandCountryCode: "Poland",
            portugalCountryCode: "Portugal",
            puertoCountryCode: "Puerto Rico",
            romaniaCountryCode: "Romania",
            reunionCountryCode: "Reunion",
            spainCountryCode: "Spain",
            switzerlandCountryCode: "Switzerland",
            swedenCountryCode: "Sweden",
            turkeyCountryCode: "Turkey",
            ukCountryCode: "United Kingdom",
            zmCountryCode: "Zambia",
            ugandaCountryCode:"Uganda",
            mkCountryCode: "The Former Yugoslav Republic of Macedonia",
            uaeCountryCode:"United Arab Emirates",
            thCountryCode: "Thailand",
            twCountryCode: "Taiwan",
            szCountryCode: "Swaziland",
            krCountryCode: "South Korea",
            siCountryCode: "Slovenia",
            sgCountryCode: "Singapore",
            rsCountryCode: "Serbia",
            saCountryCode: "Saudi Arabia",
            tzCountryCode: "Tanzania",
            ukrCountryCode: "Ukraine",
            globalCode: "Global",
            russiaCountryCode: "Russia",
            algCountryCode: "Algeria",
            andCountryCode: "Andorra",
            argCountryCode: "Argentina",
            azCountryCode: "Azerbaijan",
            baCountryCode: "Bangladesh",
            chCountryCode: "Chile",
            coCountryCode: "Costa Rica",
            egCountryCode: "Egypt",
            elCountryCode: "El Salvador",
            eeCountryCode: "Estonia",
            grCountryCode: "Georgia",
            gtCountryCode: "Guatemala",
            hoCountryCode: "Honduras",
            joCountryCode: "Jordan",
            kwCountryCode: "Kuwait",
            kzCountryCode: "Kyrgyzstan",
            lbCountryCode: "Lebanon",
            leCountryCode: "Lesotho",
            mgCountryCode: "Mongolia",
            moCountryCode: "Morocco",
            niCountryCode: "Nicaragua",
            omCountryCode: "Oman",
            pkCountryCode: "Pakistan",
            phCountryCode: "Philippines",
            qaCountryCode: "Qatar",
            slCountryCode: "Slovakia",
            safCountryCode: "South Africa",
            sriCountryCode: "Sri Lanka",
            sdCountryCode: "Sudan",
            tnCountryCode: "Tunisia",
            ugCountryCode: "Uruguay",
            syCountryCode: "Syria",
            vzCountryCode: "Venezuela",
            vtCountryCode: "Vietnam",
            keyGlobalFacts: "Key Global Facts",
            age: "Age",
            husByOccupancy: "Housing Units By Occupancy",
            householdsByIncome: "Households by Income",
            keyUSFacts: "Key US Facts",
            policy: "Policy Facts",
            raceAndEthnicity: "Race And Ethnicity",
            wealth: "Wealth Facts",
            keyCanFacts: "Key Canada Facts",
            aTSpend: "Austria Spending",
            aTFacts: "Austria Facts",
            bESpend: "Belgium Spending",
            bEFacts: "Belgium Facts",
            bRSpend: "Brazil Spending",
            bRFacts: "Brazil Facts",
            dKSpend: "Denmark Spending",
            dKFacts: "Denmark Facts",
            fISpend: "Finland Spending",
            fIFacts: "Finland Facts",
            fRSpend: "France Spending",
            fRFacts: "France Facts",
            dESpend: "Germany Spending",
            dEFacts: "Germany Facts",
            gRSpend: "Greece Spending",
            gRFacts: "Greece Facts",
            iEFacts: "Ireland Facts",
            iESpend: "Ireland Spending",
            iNFacts: "India Facts",
            iNSpend: "India Spending",
            iTFacts: "Italy Facts",
            iTSpend: "Italy Spending",
            keyWEFacts: "Key Western Europe Facts",
            keyWESpend: "Key Western Europe Spending",
            jPFacts: "Japan Facts",
            jPSpend: "Japan Spending",
            lIFacts: "Liechtenstein Facts",
            lISpend: "Liechtenstein Spending",
            lUFacts: "Luxembourg Facts",
            lUSpend: "Luxembourg Spending",
            nLFacts: "Netherlands Facts",
            nLSpend: "Netherlands Spending",
            nOFacts: "Norway Facts",
            nOSpend: "Norway Spending",
            pTFacts: "Portugal Facts",
            pTSpend: "Portugal Spending",
            eSSpend: "Spain Spending",
            eSFacts: "Spain Facts",
            sEFacts: "Sweden Facts",
            sESpend: "Sweden Spending",
            cHFacts: "Switzerland Facts",
            cHSpend: "Switzerland Spending",
            tRFacts: "Turkey Facts",
            tRSpend: "Turkey Spending",
            gBFacts: "United Kingdom Facts",
            gBSpend: "United Kigdom Spending",
            tapestry: "Tapestry",
            infrastructure: "Infrastructure",
            landCover: "Land Cover",
            landscapeFacts: "Landscape Facts",
            publicLands: "Public Lands",
            soils: "Soils",
            waterWetlands: "Water Wetlands",
            rUFacts: "Russia Facts",
            rUSpend: "Russia Spending",
            analysisLayerLabel: "Choose layer to enrich with new data",
            returnBoundingAreas: "Return result as bounding areas"
        },
        dissolveBoundaries: {
            dissolveBoundariesDefine: "Dissolve <b>${layername}</b>",
            chooseDissolveLabel: "Choose dissolve method",
            overlappingAreasLabel: "Areas that overlap or are adjacent",
            sameAttributeAreasLabel: "Areas with same field value",
            summarizeLabel: "Add statistic (optional)",
            itemDescription: "Feature layer generated from running the Dissolve Boundaries solution.",
            itemTags: "Analysis Result, Dissolve Boundaries, ${layername}",
            itemSnippet: "Feature layer generated from Dissolve Boundaries",
            resultLabel: "Result layer name",
            outputLayerName: "Dissolve ${layername}",
            analysisLayerLabel: "Choose area layer whose boundaries will be dissolved"
        },
        FindNearestTool: {
            summarizeDefine: "For each location in <b>${sumNearbyLayerName}</b>, find its nearest locations.",
            findNearLabel: "Find the nearest locations by measuring",
            outputLayerName: "Nearest ${layer} to ${sumNearbyLayerName}",
            groupByLabel: "Choose field to group by (optional)",
            itemDescription: "Feature layer generated from running the Find Nearest solution. Nearest ${sumNearbyLayerName}",
            itemTags: "Analysis Result, Find Nearest, ${sumNearbyLayerName}, ${summaryLayerName}",
            itemSnippet: "Feature layer generated from Find Nearest",
            removeAttrStats: "Remove Attribute Statistics",
            forEachLocationLabel: "For each location in the input layer",
            findNearestLabel: "Limit the number of nearest locations to:",
            limitSearchRangeCheck: "Limit the search range to",
            addStats: "For each location in <b>${summaryLayerName}</b>",
            chooseLayer: "Choose a layer",
            findLocationsIn: "Find the nearest locations in:",
            outputLayersLabel: "Result layer names",
            straightLineDistance: "Line distance",
            resultLabel1: "Nearest locations layer",
            resultLabel2: "Connecting lines layer",
            outputConnectingLayerName: "Nearest ${layer} to ${sumNearbyLayerName} (Lines)",
            chooseLayerInfoLabel: "Both input layers must contain points to enable Driving distance and Driving time options",
            analysisLayerLabel: "Choose the layer from which the nearest locations are found:"
        },
        mergeLayers: {
            mergeLayersDefine: "Merge <b>${layername}</b> with",
            outputLayerName: "Merge ${layername} ${mergelayername}",
            chooseMergeLayer: "Choose layer to merge",
            mergeFieldsLabel: "Modify merging fields (optional)",
            itemDescription: "Feature layer generated from running the Merge Layers solution.",
            itemTags: "Analysis Result, Merge Layers, ${layername}",
            itemSnippet: "Feature layer generated from Merge Layers",
            resultLabel: "Result layer name",
            rename: "Rename",
            remove: "Remove",
            match: "Match",
            operation: "Operation",
            fieldTypeMatchValidationMsg: "Fields to be matched must have the same type.  Transformation of types is supported (for example, double to integer, integer to string) except for string to numeric.",
            analysisLayerLabel: "Choose layer"
        },
        findExistingLocations: {
          findExpLabel: "Build a query to find features",
          outputLayerName: "Find Locations in ${analysisLayerName}",
          itemDescription: "Feature layer generated from running the Find Existing Locations solutions for  ${analysisLayerName}.",
          itemTags: "Analysis Result, Find Existing Locations, ${analysisLayerName}",
          itemSnippet: "Feature layer generated from Find Existing Locations",
          analysisLayerLabel: "Choose layer containing features you want to find using attribute and spatial queries"
        },
        deriveNewLocations: {
          findExpLabel: "Derive new locations that match the following expression(s)",
          outputLayerName: "New Locations",
          itemDescription: "Feature layer generated from running the Derive New Locations solutions.",
          itemTags: "Analysis Result, Derive New Locations, ${analysisLayerName}",
          itemSnippet: "Feature layer generated from Find Existing Locations"
        },
        findSimilarLocations: {
          toolDefine: "Find locations that are similar to: <b>${layername}</b>",
          labelOneText: "You may use all locations or make a selection",
          labelTwoText: "Search for similar locations in",
          labelThreeText: "Base similarity on",
          labelFourText: "Show me",
          outputLayerName: "Most Similar ${analysisLayerName}",
          selectTargetFtrs: "Select one or more target features",
          useAllFtrs: "Use all features",
          itemDescription: "Feature layer generated from running the Find Similar Locations solutions for  ${analysisLayerName}.",
          itemTags: "Analysis Result, Find Similar Locations, ${analysisLayerName}",
          itemSnippet: "Feature layer generated from Find Similar Locations",
          allResults: "all locations from most to least similar",
          justShowTop: "the top",
          selectSearchLayer: "Select the search layer",
          query: "Query",
          noFieldMatchMsg: "Search layer and input layer do not have any fields in common.",
          reqSelectionMsg: "You must select the feature(s) to match by making an interactive selection or by constructing a query.",
          selectedFeaturesLabel: "${total} feature(s) selected",
          analysisLayerLabel: "Choose layer containing the reference locations",
          most: "most",
          least: "least",
          mostLeast: "most and least",
          chooseFldAdd: "Choose fields to add to results",
          determineLbl: "Determine the most and least similar using",
          fieldValues: "field values",
          fieldProfiles: "field profiles",
          similarLocations: "similar locations",
          fieldProfilesValidCheck: "You must provide at least two fields to base similarity on for the field profile method."
        },
        expressionGrid: {
          addExpr: "Add Expression",
          expression: "Expression",
          editExpr: "Edit Expression",
          viewText: "View Text",
          viewGrid: "View Grid",
          addExprDescription: "Click Add Expression to begin building your query.",
          duplicateExpression: "This Expression already exists"
        },
        expressionForm: {
          where: "where (attribute query)",
          whereLabel: "where",
          intersects: "intersects",
          notIntersects: "does not intersect",
          withinDistance: "within a distance of",
          notWithinDistance: "not within a distance of",
          contains: "completely contains",
          notContains: "does not completely contain",
          completelyContains: "completely contains",
          notCompletelyContains: "does not completely contain",
          within: "completely within",
          notWithin: "not completely within",
          completelyWithin: "completely within",
          notCompletelyWithin: "not completely within",
          identical: "are identical to",
          notIdentical: "are not identical to",
          touches: "touches",
          notTouches: "does not touch",
          crossesOutline: "crossed by the outline of",
          notCrossesOutline: "not crossed by the outline of",
          from: "from",
          inValidAttributeFilterMessage: "Layer ${layername} does not contain any attributes that can be used in an attribute query."
        },

        interpolatePointsTool: {
          toolDefine: "Interpolate values from <b>${layername}</b>",
          outputLayerName: "${layername} Prediction",
          interpolationMethod: "Interpolation method",
          selectAttributesLabel: "Choose field to interpolate",
          classifyLabel: "Classify by",
          classesCountLabel: "Number of classes",
          equalInterval: "Equal Interval",
          manual: "Manual",
          quantile: "Equal Area",
          geometricInterval: "Geometric Interval",
          outputPredictionErrors: "Output prediction errors",
          interpolateWithin: "Clip output to",
          predictLocLabel: "Predict at these locations",
          choosePointLayer: "Choose point layer",
          pointlayerName: "Drawn Prediction Points",
          classBreakValues: "Class break values",
          defaultBoundingOption: "Choose study area",
          classBreaksHelp: "Enter break values separated by spaces: (10 20 30)",
          itemDescription: "Feature layer generated from running the Interpolate Points solution.",
          itemTags: "Analysis Result, Interpolate Points, ${layername}, ${fieldname}",
          itemSnippet: "Feature layer generated from Interpolate Points",
          analysisLayerLabel: "Choose point layer containing locations with known values"
        },

        calculateDensityTool: {
          toolDefine: "Calculate density values from <b>${layername}</b>",
          selectAttributesLabel: "Use a count field (optional)",
          outputAerealUnits: "Output area units",
          itemDescription: "Feature layer generated from running the Calculate Density solution.",
          itemTags: "Analysis Result, Calculate Density, ${layername}, ${fieldname}",
          itemSnippet: "Feature layer generated from Calculate Density",
          outputLayerName: "${layername} Density",
          searchDistance: "Search Distance",
          naturalBreaks: "Natural Breaks",
          standardDeviation: "Standard Deviation",
          chooseCountField: "No count field",
          analysisLayerLabel: "Choose point or line layer from which to calculate density",
          analysisLayerLabelBigData: "Choose a point layer from which to calculate density",
          selectAttributesLabelBigData: "Choose one or more fields to calculate density on (optional)",
          binTypeLabel: "Choose a bin shape",
          square: "Square",
          hexagon: "Hexagon",
          chooseBinSizeLabel: "Select the bin size for aggregation",
          weightLabel: "Select the density weighting to apply",
          uniform: "Uniform",
          kernel: "Kernel",
          selectNeighborhoodLabel: "Select the neighborhood size",
          areaLabel: "Choose the output units for density",
          calTimeSliceLabel: "Calculate density using time steps (optional)",
          intervalLabel: "Time step interval",
          repeatLabel: "How often to repeat the time step",
          timeRefLabel: "Time to align time steps to",
          smallBinErrorMsg: "Neighborhood size must be greater than bin size."
        },

        traceDownstreamTool: {
          toolDefine: "Trace downstream from <b>${layername}</b>",
          outputLayerName: "${layername} Trace",
          choosePointLayer: "Choose point layer",
          pointlayerName: "Drawn Input Points",
          defaultBoundingOption: "Choose study area",
          itemDescription: "Feature layer generated from running the Trace Downstream solution.",
          itemTags: "Analysis Result, Trace Downstream, ${layername}",
          itemSnippet: "Feature layer generated from Trace Downstream",
          clipOutputToLabel: "Clip output to",
          traceOptionsLabel: "Trace downstream settings (optional)",
          splitTraceLabel: "Split the trace into line segments",
          maxTraceLabel: "Maximum distance of the trace",
          analysisLayerLabel: "Point features used as the starting locations for each downstream trace"
        },

        createWatershedTool: {
          toolDefine: "Create Watersheds from <b>${layername}</b>",
          outputLayerName: "${layername} Watersheds",
          choosePointLayer: "Choose point layer",
          pointlayerName: "Drawn Input Points",
          defaultBoundingOption: "Choose study area",
          itemDescription: "Feature layer generated from running the Create Watershed solution.",
          itemTags: "Analysis Result, Create Watersheds, ${layername}",
          itemSnippet: "Feature layer generated from Create Watershed",
          searchDistanceLabel: "Search distance to nearest drainage (optional)",
          analysisLayerLabel: "Point features to use for calculating watersheds"
        },

        chooseBestFacilitiesTool: {
           goalLabel: "Goal",
           facTodemLabel: "Facility to Demand",
           demTofacLabel: "Demand to Facility",
           demandLayer: "Demand Locations Layer",
           demandLabel: "Your layer has ${numberOf} demand locations.",
           demandExtentLabel: "The current map extent shows ${numberOf} demand locations.",
           facilitiesNumLabel: "Your layer has ${numberOf} required facilities.",
           facilitiesExtentLabel: "The current map extent shows ${numberOf} required facilities.",
           candidateNumLabel: "Your layer has ${numberOf} candidate facilities.",
           candidateExtentLabel: "The current map extent shows ${numberOf} candidate facilities.",
           demandAmountLabel: "Amount of demand at each demand location:",
           constLabel: "Constant",
           maxTravelLabel: "Maximum travel range:",
           unlimitedLabel: "Unlimited",
           reqdFacilities: "Required Facilities Layer",
           candFacilities: "Candidate Facilities Layer",
           capacityLabel: "Capacity",
           minimizeImpedance: "Minimize travel",
           allocate: "Allocate to existing facilities",
           maximizeCoverage: "Maximize coverage",
           maximizeCapacitatedCoverage: "Maximize coverage with capacity",
           percentCoverage: "Cover a percentage of demand",
           numberCandidates: "Number of candidates to choose:",
           travelDirection: "Travel Direction:",
           reqFacLayerLabel: "Required facilities point layer:",
           outputLayerName: "Assigned facilities for ${demandLayer}",
           delieveries: "Delieveries",
           demand: "Demand",
           pickups: "Pickups",
           weight: "Weight",
           demandPercentCover: "Percent of Demand to cover:",
           selectGoal: "Select the option that best fits your goal",
           allocateDesc: "Allocate demand locations to existing facilities based on the supply at the facility and the amount of demand from the surrounding area.",
           minimizeImpedanceDesc: "Locate facilities such that the overall travel time or travel distance between the demand locations and facilities is minimized.",
           maximizeCoverageDesc: "Locate facilities such that the maximum amount of demand is allocated, with all the demand from each demand location allocated to the single facility closest to it.",
           maximizeCapacitatedCoverageDesc: "Locate facilities such that the maximum amount of demand is allocated, with all the demand from each demand location allocated to the single facility closest to it without exceeding the capacity of the facility.",
           percentCoverageDesc: "Locate the minimum number of facilities that are required to cover the given percentage of demand.",
           candidateLayerLabel: "Candidate facilities point layer:",
           noneReqOption: "There are no facilities that must be always used",
           maxDemandLocationMsg: "Number of features in demand locations layer cannot be greater than ${maximumDemandPoints}.",
           maxFacilitiesMsg: "Number of features in required facilities layer  cannot be greater than ${maximumFacilities}.",
           candidateCountMsg: "Number of features in candidate facilities layer should be greater than number of candidates to choose.",
           candidateCountValidMsg: "Sum of candidates to choose and number of features in required facilities layer cannot be greater than ${maximumFacilitiesToFind}."
        },

        createViewshedTool: {
          toolDefine: "Create areas that are visible from <b>${layername}</b>",
          outputLayerName: "${layername} visible areas",
          itemDescription: "Feature layer generated from running the Create Viewshed solution.",
          itemTags: "Analysis Result, Create Viewshed, ${layername}",
          itemSnippet: "Feature layer generated from Create Viewshed",
          maxDistanceLabel: "Maximum viewing distance",
          observerHghtLabel: "Height of observer locations",
          targetHghtLabel: "Height of other objects on the ground",
          viewshedOptionlabel: "Visibility settings (optional)",
          maxDistanceValidMsg: "The maximum viewing distance cannot be more than ${limit} ${units}.",
          maxdistanceInValidMsg: "Only integer values are allowed",
          analysisLayerLabel: "Point features that represent observer locations",
          pointlayerName: "Drawn Input Points"
        },

        calculateSlopeTool: {
          toolDefine: "Calculate Slope from <b>${layername}</b>",
          outputLayerName: "${layername} Slope",
          defaultBoundingOption: "Choose study area",
          itemDescription: "Analysis Image Service generated from Calculate Slope",
          itemTags: "Analysis Result, Calculate Slope, ${layername}",
          itemSnippet: "Analysis Image Service generated from Calculate Slope",
          zFactorInputLabel: "Specify scaling factor for elevation",
          analysisLayerLabel: "Choose input data to calculate slope"
        },

        deriveAspectTool: {
          toolDefine: "Derive Aspect from <b>${layername}</b>",
          outputLayerName: "Aspect of ${layername}",
          defaultBoundingOption: "Choose study area",
          itemDescription: "Analysis Image Service generated from Derive Aspect",
          itemTags: "Analysis Result, Derive Aspect, ${layername}",
          itemSnippet: "Analysis Image Service generated from Derive Aspect",
          analysisLayerLabel: "Choose input data to derive aspect"
        },

        monitorVegetationTool: {
          monitorVegetation: "Monitor Vegetation",
          toolDefine: "Monitor vegetation in <b>${layername}</b>",
          outputLayerName: "Monitor Vegetation of ${layername}",
          indexType: "Choose method to monitor vegetation",
          bandIndexes: "Specify indexes of NIR band and Red band",
          nirBandIndex: "NIR band index",
          redBandIndex: "Red band index",
          greenVegetativeCover: "Amount of green vegetation cover",
          slopeOfSoilLine: "Slope of soil line",
          gradientOfSoilLine: "Intercept of soil line",
          adjustmentFactor: "Adjustment factor",
          NDVI: "Normalized Difference Vegetation Index",
          SAVI: "Soil-Adjusted Vegetation Index",
          TSAVI: "Transformed Soil-Adjusted Vegetation Index",
          GEMI: "Global Environmental Monitoring Index",
          PVI: "Perpendicular Vegetation Index",
          MSAVI: "Modified Soil Adjusted Vegetation Index",
          GVITM: "Green Vegetation Index - Landsat TM",
          Sultan: "Sultan's Formula",
          Options: "Remap pixel values to new values",
          minimum: "Minimum",
          maximum: "Maximum",
          output: "Output",
          addItemLabel: "Add an entry",
          removeItemLabel: "Remove selected entry",
          analysisLayerLabel: "Select the input data",
          itemDescription: "Analysis Image Service generated from Monitor Vegetation",
          itemTags: "Analysis Result, Monitor Vegetation, ${layername}",
          itemSnippet: "Analysis Image Service generated from Monitor Vegetation"
        },

        remapValuesTool: {
          toolDefine: "Remap Pixel Values in ${layername}",
          outputLayerName: "Remapped Raster from ${layername}",
          remapList: "Remap pixel values to new values",
          analysisLayerLabel: "Choose input data to remap values",
          itemDescription: "Analysis Image Service generated from Remap",
          itemTags: "Raster Analysis Result, Remap",
          itemSnippet: "Analysis Image Service generated from Remap",
          clipping: "Specify the area to be remapped",
          add: "Add",
          remove: "Remove",
          viewText: "View"
        },

        extractRasterTool: {
          toolDefine: "Extract Data from ${layername}",
          outputLayerName: "Data extracted from ${layername}",
          clipping: "Specify clipping geometry",
          clippingInside: "Data inside the geometry",
          clippingOutside: "Data outside the geometry",
          clippingExtent: "Use current extent",
          clippingGeometry: "Choose study area",
          analysisLayerLabel: "Choose input data to extract",
          itemDescription: "Analysis Image Service generated from Extract Raster Data",
          itemTags: "Raster Analysis Result, Extract Raster Data",
          itemSnippet: "Analysis Image Service generated from Extract Raster Data"
        },

        reconstructTracksTool: {
          inputFeatures: "Choose features to reconstruct tracks from",
          trackField: "Choose one or more fields to identify tracks",
          bufField: "Create an expression to buffer input features by (optional)",
          durSplit: "Select a time to split tracks by (optional)",
          methodLabel: "Choose method used to reconstruct tracks",
          itemDescription: "Feature layer generated from running the Reconstruct Tracks solution for ${inputLayername}.",
          itemTags: "Analysis Result, Reconstruct Tracks, ${inputLayername}",
          itemSnippet: "Feature layer generated from Reconstruct Tracks",
          outputLayerName: "Reconstruct Tracks for ${inputLayername}"
        },

        summarizeAttributesTool: {
          inputFeatures: "Choose the input to summarize",
          fieldLabel: "Choose the fields to summarize",
          addStatsLabel: "Add statistics (optional)",
          itemDescription: "Feature layer generated from running the Summarize Attributes solution for ${inputLayername}.",
          itemTags: "Analysis Result, Summarize Attributes, ${inputLayername}",
          itemSnippet: "Feature layer generated from Summarize Attributes.",
          outputLayerName: "Summarize Attributes for ${inputLayername}"
        },

        summarizeRasterWithinTool: {
          toolDefine: "Summarize Raster Within ${layername}",
          outputLayerName: "Summarize within ${layername}",
          outputLayerNameFull: "Summarize ${valuelayername} within ${layername}",
          statsLabel: "Choose statistic to calculate",
          fieldLabel: "Choose field to define the boundaries",
          summarizeLayerLabel: "Choose raster layer to summarize",
          ignoreNDLabel: "Ignore missing values in calculation",
          ignoreLabel: "Ignore",
          analysisLayerLabel: "Choose area layer to summarize a raster layer within defined boundaries",
          itemDescription: "Analysis Image Service generated from Summarize Raster Within",
          itemTags: "Raster Analysis Result, Summarize Raster Within, ${layername}, ${valuelayername}",
          itemSnippet: "Analysis Image Service generated from Summarize Raster Within"
        },

        createSpaceTimeCubeTool: {
          inputLabel: "Choose input points to create a space time cube from",
          binSizeLabel: "Choose the bin size",
          binShapeLabel: "Choose a bin shape",
          timeIntervalSizeLabel: "Choose the time interval size",
          timeAlignLabel: "Choose how the time will be aligned",
          startTime: "Start Time",
          endTime: "End Time",
          referenceTime: "Reference Time",
          referenceTimeLabel: "Select the reference time",
          summaryFieldsLabel: "Select the statistics you would like to calculate, and how to fill empty bins",
          itemDescription: "Feature layer generated from running the Create Space Time Cube solution for ${pointLayername}.",
          itemTags: "Analysis Result, Create Space Time Cube, ${pointLayername}",
          itemSnippet: "Feature layer generated from Create Space Time Cube.",
          outputLayerName: "Create Space Time Cube for ${pointLayername}"
        },

        joinFeaturesTool: {
            joinFeaturesTitle: "Join Features",
            targetLayerLabel: "Choose target layer",
            joinLayerLabel: "Choose layer to join to target layer",
            joinTypeLabel: "Choose join operation",
            joinOptionsLabel: "Select one or more joins",
            spatialJoinLabel: "Spatial Join",
            temporalJoinLabel: "Temporal Join",
            attributeJoinLabel: "Attribute Join",
            statisticsLabel: "Add statistics (optional)",
            resultLabel: "Result layer name",
            runAnalysis: "Run Analysis",
            showCredits: "Show Credits",
            oneToOneLabel: "Join one to one",
            oneToManyLabel: "Join one to many",
            selectJoinField: "Join field",
            selectTargetField: "Target field",
            near: "Near",
            equalsLabel: "Equals",
            intersectsLabel: "Intersects",
            crossesLabel: "Crosses",
            withinLabel: "Within",
            containsLabel: "Contains",
            touchesLabel: "Touches",
            overlapsLabel: "Overlaps",
            duringLabel: "During",
            finishesLabel: "Finishes",
            finishedByLabel: "Finished By",
            overlappedByLabel: "Overlapped By",
            startsLabel: "Starts",
            startedByLabel: "Started By",
            meetsLabel: "Meets",
            metByLabel: "Met By",
            equalSign: "=",
            notEqualSign: "!=",
            selectField: "Field",
            selectStats: "Statistic",
            itemDescription: "Feature layer generated from running the Join Features solution",
            itemTags: "Analysis Result, Join Features",
            itemSnippet: "Feature layer generated from Join Features",
            saveResultIn: "Save result in",
            useMapExtent: "Use current map extent",
            selectTargetLayer: "Select the target layer",
            joinOperationLbl: "Build an expression to join features by (optional)",
            selectJoinLayer: "Select the join layer",
            selectJoinOpLabel: "Select the join operation",
            joinTypesErrorMsg: "Please select at least one type of join from Step 3.",
            joinOpErrorMsg: "Please select a join operation from Step 3.",
            joinLayerErrorMsg: "Please select a valid layer from Step 2.",
            addJoinCondition: "Join Condition",
            joinOptionsStdLabel: "Select the type(s) of join",
            identical: "Identical to",
            withinDistance: "Within a distance of",
            completelyContains: "Completely contains",
            completelyWithin: "Completely within",
            outputLayerName: "Join Features to ${targetLayerName}"
        },

        copytoDatastoreTool: {
          inputLabel: "Choose layer to copy",
          dataStoreCopyLabel: "Choose the Data Store to copy to",
          itemDescription: "Feature layer generated from running the Copy to Data Store solution for ${inputLayerName}.",
          itemTags: "Analysis Result, Copy to Data Store, ${inputLayerName}",
          itemSnippet: "Feature layer generated from Copy to Data Store.",
          outputLayerName: "Copy to Data Store for ${inputLayerName}"
        },

        convertFeatureToRasterTool: {
          toolDefine: "Convert Features in ${layername} To Raster",
          outputLayerName: "Rasterization ${layername}",
          pixelSize: "Output cell size",
          valueField: "Choose field",
          backgroundValue: "Background value (optional)",
          analysisLayerLabel: "Choose feature layer to convert",
          itemDescription: "Analysis Image Service generated from Convert Feature To Raster",
          itemTags: "Raster Analysis Result, Convert Feature To Raster, ${layername}",
          itemSnippet: "Analysis Image Service generated from Convert Feature To Raster"
        },

        convertRasterToFeatureTool: {
          toolDefine: "Convert ${layername} To Feature",
          outputLayerName: "Vectorization of ${layername}",
          valueField: "Choose field",
          outputType: "Choose output type",
          point: "Point",
          line: "Line",
          polygon: "Polygon",
          simplify: "Simplify lines or polygons",
          analysisLayerLabel: "Choose raster layer to convert",
          itemDescription: "Feature layer generated from Convert Raster To Feature",
          itemTags: "Raster Analysis Result, Convert Raster to Feature, ${layername}",
          itemSnippet: "Feature layer generated from Convert Raster To Feature"
        },

        calculateDensityRasterTool: {
          toolDefine: "Calculate density values from <b>${layername}</b>",
          selectAttributesLabel: "Use a count field (optional)",
          outputAreaUnits: "Output area units (optional)",
          searchDistance: "Search distance (optional)",
          searchDistanceHint: "Search distance",
          itemDescription: "Analysis Image Service generated from Calculate Density",
          itemTags: "Analysis Result, Calculate Density, ${layername}, ${fieldname}",
          itemSnippet: "Analysis Image Service generated from Calculate Density",
          outputLayerName: "${layername} Density",
          outputCellSize: "Output cell size (optional)",
          cellSizeHint: "Cell size",
          chooseCountField: "No count field",
          analysisLayerLabel: "Choose input point or line layer from which to calculate density"
        },

        createViewshedRasterTool: {
          toolDefine: "Create areas that are visible from <b>${layername}</b>",
          outputLayerName: "${layername} visible areas",
          outputAgLayerName: "${layername} height to become visible",
          itemDescription: "Analysis Image Service generated from Create Viewshed",
          itemTags: "Analysis Result, Create Viewshed, ${layername}",
          itemSnippet: "Analysis Image Service generated from Create Viewshed",
          elevationSurfaceLabel: "Elevation surface",
          inputObserverLabel: "Point feature that represent observer locations",
          options: "Options",
          maxDistanceLabel: "Maximum viewing distance",
          minDistanceLabel: "Minimum viewing distance",
          observerEleLabel: "Elevation of observer locations",
          observerHghtLabel: "Height of observer",
          targetHghtLabel: "Height of target",
          resultAgLayer: "Output height to become visible (optional)",
          distance: "Distance",
          elevation: "Elevation",
          field: "Field",
          height: "Height",
          optimizeFor: "Optimize for",
          dist3D: "Distance is 3D",
          speed: "Speed",
          accuracy: "Accuracy",
          maxDistanceValidMsg: "The maximum viewing distance cannot be more than ${limit} ${units}.",
          maxdistanceInValidMsg: "Only integer values are allowed",
          analysisLayerLabel: "Point features that represent observer locations"
        },

        interpolatePointsEBKTool: {
          toolDefine: "Interpolate values from <b>${layername}</b>",
          outputLayerName: "${layername} Prediction",
          outputErrorLayerName: "${layername} Error",
          outputTableName: "${layername} Diag",
          interpolationMethod: "Interpolation method",
          optimizeFor: "Optimize for",
          selectAttributesLabel: "Choose field to interpolate",
          outputPredictionErrors: "Output prediction errors",
          outputDiagnosticTable: "Output diagnostic table",
          choosePointLayer: "Choose point layer",
          itemDescription: "Analysis Raster Service generated from Interpolate Points",
          itemTags: "Analysis Result, Interpolate Points, ${layername}, ${fieldname}",
          itemSnippet: "Analysis Raster Service generated from Interpolate Points",
          speed: "Speed",
          accuracy: "Accuracy",
          options: "Options",
          optionalOutputs: "Optional outputs",
          outputCellsize: "Output cell size (optional)",
          enterDistance: "Enter distance",
          chooseField: "Choose field",
          transform: "Transform data to normal distribution",
          sizeOfLocalModels: "Size of local models",
          numberOfNeighbors: "Number of neighbors",
          analysisLayerLabel: "Choose point layer containing locations with known values",
          sizeOfLocalModelsInValidMsg: "Size of local models must be in [30,500]",
          numberOfNeighborsInValidMsg: "Number of neighbors must be in [1,64]",
          cellsizeInValidMsg: "Cell Size must be > 0"
        },


        analysisSettings: {
          overwriteResultLayer: "Overwrite result layer",
          closeAnalysisWisget: "Close analysis widget after running analysis",
          storeAnalysisResults: "Store feature analysis results as a Features",
          analysisEnv: "Analysis Environments",
          CoordinateSys: "Coordinate Systems",
          outSR: "Output coordinate system",
          processSR: "Processing coordinate system",
          processExtent: "Processing Extent",
          extent: "Extent",
          defaultExtentLabel: "Same as input",
          extentSpecfiedBelow: "As specified",
          extentBelow: "As specified Below",
          xMin: "X min",
          xMax: "X max",
          yMin: "Y min",
          yMax: "Y max",
          rasterLabel: "Raster Analysis",
          cellSize: "Cell size",
          mask: "Mask",
          coordSysDialogTitle: "Coordinate System",
          geographicCS: "Geographic coordinate system",
          projCS: "Projected coordinate system",
          spatiaReferences: "Spatial References",
          layers: "Layers",
          favorites: "Favorites",
          defaultLabel: "Default",
          extentAsDisplay: "Same as display",
          extentAsLayer: "Same as ${layername}",
          maxInputs: "Maximum of Inputs",
          minInputs: "Minimum of Inputs",
          extentUnion: "union of inputs",
          extentInter: "Intersection of inputs",
          snapRaster: "Snap Raster"
        },

        findOutliersTool: {
          chooseLayerLabel: "Choose the layer for which outliers will be calculated",
          chooseAttributeLabel: "Find outliers of",
          outputLayerName: "Find Outliers ${layername}",
          itemDescription: "Feature layer generated from running the Find Outliers solution.",
          itemTags: "Analysis Result, Find Outliers, ${layername}, ${fieldname}",
          itemSnippet: "Feature layer generated from Find Outliers",
          cellSizeMsg: "Cell size should be less than distance band."
        },

        geocodeFromTableTool: {
          chooseFromTable: "Choose an input table",
          chooseLocator: "Choose a locator",
          chooseOutputFormat: "Choose an output format",
          outputResultName: "Output result name",
          locators: "Locators",
          inputGeocode: "Input to Geocode",
          country: "Country",
          selectDataFields: "Select Data Fields",
          singeField: "Single Field",
          multipleFields: "Multiple Fields",
          locatorInputs: "Locator Inputs",
          dataFields: "Data Fields",
          outputLayerName: "Geocoded Results for ${inputTableName} ",
          itemDescription: "Geocoded results for ${inputTableName} generated from running the Geocode Locations from Table solution.",
          itemTags: "Analysis Result, Geocode Locations From Table, ${inputTableName}",
          itemSnippet: "Feature layer generated from Geocode Locations From Table"
        },

        analysisMsgCodes: {
            RA_120101: "The following table contains cross validation statistics:",
            RA_120102: "Mean Error",
            RA_120103: "Root Mean Square",
            RA_120104: "Average Standard",
            RA_120105: "Mean Standardized",
            RA_120106: "Root Mean Square Standardized",
            SS_84493: "There was 1 outlier location; it was not used to compute ${AggregationType}.",
            SS_84492: "The total study area was ${Area}.",
            SS_84491: "There were ${NumFeatures} valid input aggregation areas.",
            SS_84490: "The aggregation process resulted in ${AggNumFeatures} weighted areas.",
            SS_84489: "Analysis was performed on all aggregation areas.",
            SS_84485: "There were ${NumFeatures} valid input features.",
            SS_84477: "Blue output features represent cold spots where low ${FieldName} cluster.",
            SS_84476: "Red output features represent hot spots where high ${FieldName} cluster.",
            SS_84471: "Output",
            SS_84470: "There are ${NumSignificant} output features statistically significant based on a FDR correction for multiple testing and spatial dependence.",
            SS_84466: "Hot Spot Analysis",
            SS_84465: "The optimal fixed distance band was based on one standard distance of the features from the geometric mean: ${DistanceInfo}.",
            SS_84464: "The optimal fixed distance band was based on the average distance to ${NumNeighs} nearest neighbors: ${DistanceInfo}.",
            SS_84461: "The optimal fixed distance band selected was based on peak clustering found at ${DistanceInfo}.",
            SS_84459: "Scale of Analysis",
            SS_84458: "Analysis was based on the number of points in each polygon cell.",
            SS_84457: "Points were aggregated to the fishnet polygon cells falling within the bounding areas provided.",
            SS_84453: "Analysis was performed on all fishnet polygon cells within the bounding area layer.",
            SS_84452: "Analysis was performed on all fishnet polygon cells containing at least one point.",
            SS_84451: "Analysis was based on the number of points in each fishnet polygon cell.",
            SS_84450: "The polygon cell size was ${SnapInfo}.",
            SS_84449: "A fishnet polygon mesh was created for aggregating points.",
            SS_84446: "${VarName} Properties:",
            SS_84444: "Incident Aggregation",
            SS_84437: "There were no locational outliers.",
            SS_84434: "There were ${NumOutliers} outlier locations; these were not used to compute ${AggregationType}.",
            SS_84428: "Initial Data Assessment.",
            SS_84271_0: "Min",
            SS_84272_0: "Max",
            SS_84261_0: "Mean",
            SS_84262_0: "Std. Dev.",
            SS_00002: "The following report outlines the workflow used to optimize your Find Hot Spots result:",
            AO_100001: "Aggregate Points failed.",
            AO_100002: "The geometry type of Point Layer must be points.",
            AO_100003: "The geometry type of  Polygon Layer must be polygons.",
            AO_100004: "The field  ${fieldName} provided for Summary Fields does not exist.",
            AO_100005: "The field  ${fieldName} provided for Summary Fields is not numeric.",
            AO_100006: "The summary type ${summary} provided for field ${fieldName} is invalid.",
            AO_100007: "Find Hot Spots failed.",
            AO_100008: "The geometry type for the boundingPolygonLayer must be polygon.",
            AO_100009: "The geometry type of Analysis Layer must be points or polygons.",
            AO_100010: "The geometry type of Aggregation Polygon Layer must be polygon.",
            AO_100011: "Must provide an Analysis Field for polygon Analysis Layer.",
            AO_100012: "Create Buffers failed.",
            AO_100013: "Overlay Layers failed.",
            AO_100014: "Summarize Within failed.",
            AO_100015: "The geometry type of Summarize Layer input must be point, line, or polygons.",
            AO_100016: "The geometry type of Summarize Layer input must be point or line.",
            AO_100017: "The geometry type of Summarize Layer input must be point.",
            AO_100018: "Sum Units ${sumUnits} is not applicable for ${shapeType} shape type.",
            AO_100019: "At least one of the parameters, Summarize Shape or  Summary Fields is required.",
            AO_468: "Input shape types are not equal.",
            AO_1156: "A field value was incompatible with the field type.",
            AO_800: "The value is not a member of SUM | MEAN | MIN | MAX | RANGE | STD | COUNT | FIRST | LAST.",
            AO_728: "The analysisField ${fieldName} you specified does not exist in the analysisLayer.",
            AO_12: "Field to add already exists.",
            AO_539: "Expression is invalid.",
            AO_1115: "Layer description property must be set for ${layerName}.",
            AO_366: "Invalid geometry type.",
            AO_641: "This tool requires at least ${numFeatures} feature(s) to compute results.",
            AO_906: "Zero variance: all of the values for your input field are likely the same.",
            AO_1533: "We were not able to compute hot and cold spots for the data provided. If appropriate, try specifying an Analysis Field.",
            AO_1534: "Hot and cold spots cannot be computed when the number of points in every polygon area is identical. Try different polygon areas or different analysis options.",
            AO_1535: "The analysis option you selected requires a minimum of ${minNumFeatures} aggregation areas.",
            AO_1536: "The analysis options you selected require a minimum of ${minNumIncidents} points to compute hot and cold spots.",
            AO_1570: "The analysis option you selected requires a minimum of ${minNumIncidents} points to be inside the bounding polygon area(s).",
            AO_1571: "The analysis options you selected require a minimum of ${minNumFeatures} features with valid data in the analysis field in order to compute hot and cold spots.	",
            AO_1572: "There is not enough variation in point locations to compute hot and cold spots. Coincident points, for example, reduce spatial variation. You can try providing a bounding area, aggregation areas (a minimum of 30), or an Analysis Field.",
            AO_1573: "There is not enough variation among the points within the bounding polygon area(s). You can try providing larger boundaries.",
            AO_1574: "The analysis option you selected requires a minimum of ${minNumIncidents} points to be inside the aggregation polygons.",
            AO_1575: "All of the values for your analysis field are likely the same. Hot and cold spots cannot be computed when there is no variation in the field being analyzed.",
            AO_84426: "Must provide polygons for aggregating incidents into counts for this incident data aggregation method.",
            AO_26: "Buffer distance is zero.",
            AO_109: "The buffer distance cannot be negative for lines and points.",
            AO_385: "The LINE option is not valid with point features.",
            AO_438: "Overlay not polygon.",
            AO_100020: "Enrich Layer failed.",
            AO_100021: "The geometry type of Input Layer must be point, line or polygon.",
            AO_100022: "Units ${units} is not supported for Buffer type ${bufferType}.",
            AO_100023: "Unable to enrich layer for input spatial reference ${spref}.",
            AO_100024: "The number of features in ${inputLayer} is zero.",
            AO_100025: "Summarize Nearby failed.",
            AO_100026: "Extract Data failed.",
            AO_100027: "Dissolve Boundaries failed.",
            AO_100028: "Create Drive Time Areas failed.",
            AO_100029: "Merge Layers failed.",
            AO_100030: "Find Nearest failed.",
            AO_100031: "The number of nearest locations to find can not be greater than 100.",
            AO_100032: "The number of features in ${analysisLayer} is zero.",
            AO_100033: "The number of features in ${nearLayer} is zero.",
            AO_100034: "The number of features in ${analysisLayer} can not be greater than 1000.",
            AO_100035: "The number of features in ${nearLayer} can not be greater than 1000.",
            AO_100036: "The ${analysisLayer} layer must have a point geometry type when using ${measurementType} as the measurement type.",
            AO_100037: "The ${nearLayer} layer must have a point geometry type when using ${measurementType} as the measurement type.",
            AO_100038: "The search cutoff cannot be less than zero.",
            AO_100039: "The ${inputLayer} must have a point geometry type.",
            AO_100040: "The number of features in ${inputLayer} can not be greater than ${max}.",
            AO_100041: "Buffer type parameter is supported only for layers containing points or lines.",
            AO_100042: "The geometry type ${shapeType} of Nearby Layer is not supported for Near type ${nearType}",
            AO_100043: "Units ${units} is not supported for Near type ${nearType}.",
            AO_100044: "Distance value should be greater than 0",
            AO_100045: "Distance and units are required when Buffer type is specified",
            AO_100046: "Failed to access GeoEnrichment server.",
            AO_100047: "Enrichment may not be available for some features.",
            AO_100048: "The input layer ${inputLayer} contains multipoint geometry and has been converted to single point geometry.",
            AO_100049: "No features in the processing extent for any input layers.",
            AO_100050: "No fields exist in the input layer for data extraction.",
            AO_100051: "No features in the processing extent for any input layers and none of the input layers have fields for data extraction. ",
            AO_100052: "The field name ${fieldName} does not exist in the ${paramName}.",
            AO_100053: "Required keys ${missingKeys} are missing in attribute expression ${expression}.",
            AO_100054: "Required keys ${missingKeys} are missing in spatial relationship expression ${expression}.",
            AO_100055: "Invalid expression; malformed JSON.",
            AO_100056: "Invalid layer index in expression ${expression}.",
            AO_100057: "Layer index exceeds the number of input layers in expression ${expression}.",
            AO_100058: "${spatialRel} spatial relationship does not support ${lyrGeomType}/${selLyrGeomType} geometry types for layer/selectingLayer in expression ${expression}.",
            AO_100059: "Invalid spatial relationship {spatialRel} in expression ${expression}.",
            AO_100060: "Query expression failed in expression ${expression}.",
            AO_100061: "FindExistingLocations failed.",
            AO_100062: "Invalid distance and/or units in expression ${expression}",
            AO_100063: "PlanRoutes failed.",
            AO_100064: "The number of features in ${stopsLayer} is zero.",
            AO_100065: "The number of features in ${startLayer} is zero.",
            AO_100066: "The maximum number of vehicles to route cannot be less than zero and greater than ${max}.",
            AO_100067: "The maximum number of stops per vehicle cannot be less than zero and greater than ${max}.",
            AO_100068: "The number of features in ${stopsLayer} cannot be greater than ${max}.",
            AO_100069: "The number of features in ${startLayer} cannot be greater than ${max}.",
            AO_100070: "The number of features in ${endLayer} cannot be greater than ${max}.",
            AO_100071: "The ${stopsLayer} layer must have a point geometry type.",
            AO_100072: "The ${startLayer} layer must have a point geometry.",
            AO_100073: "The ${endLayer} layer must have a point geometry.",
            AO_100074: "The time spent at each stop cannot be less than zero.",
            AO_100075: "The total route time per vehicle should be greater than zero and less than one year (525600 minutes).",
            AO_100076: "The ${endLayer} should not be specified if return to start is true.",
            AO_100077: "Find Similar Locations failed.",
            AO_100078: "Invalid field name in expression ${expression}",
            AO_100079: "Derive New Locations failed.",
            AO_100080: "Connect Origins To Destinations failed.",
            AO_100081: "Field Calculator failed.",
            AO_735: "Please provide at least one valid analysis field to base similarity on.",
            AO_1589: "This tool requires a minimum of 2 locations to search.",
            AO_100082: "A field name and an expression are required.",
            AO_100083: "A field type is required for creating a new field.",
            AO_100084: "Field type is required to be String, Integer, Double or Date.",
            AO_1599: "Too few records for analysis. This tool requires at least 1 reference  location in the Input Layer to compute results.",
            AO_100088: "Field(s) ${attribute} must be in both the reference and candidate search layers.",
            AO_100089: "The following fields lack sufficient variation for use in this analysis: ${attribute}.",
            AO_100090: "This tool requires at least 2 candidate search locations that are not also reference locations.",
            AO_100094: "The maximum number of vehicles to route must be equal to the number of features in ${startLayer}.",
            AO_100104: "InterpolatePoints failed.",
            AO_40039: "Not enough data to compute method. At least 10 points are required.",
            AO_40040: "Data is distributed along a straight line and cannot be processed.",
            AO_40069: "The variance of the data is too small to be calculated.",
            AO_100091: "The geometry type of ${paramName} must be Points",
            AO_100092: "The geometry type of boundingPolygonLayer must be Polygons",
            AO_100093: "The classification type Manual requires classbreaks value.",
            AO_100095: "The number of features in ${endLayer} must be equal to the number of features in ${startLayer}.",
            AO_100096: "The ${startLayerRouteIDField} in ${startLayer} does not have unique values.",
            AO_100097: "The ${endLayerRouteIDField} in ${endLayer} does not have unique values.",
            AO_100098: "The values in ${startLayerRouteIDField} in ${startLayer} do not have a one-to-one match with the values in ${endLayerRouteIDField} in ${endLayer}.",
            AO_100099: "All break values must be greater than zero.",
            AO_100100: "The features in ${inputLayer} are not within the data coverage area. See availability at ${url}.",
            AO_100101: "No features in ${inputLayer} are within a distance of ${max} kilometers from streets.",
            AO_100102: "All features in ${inputLayer} must be in the same time zone when using traffic and creating areas with dissolve or split options.",
            AO_100103: "The ${measureType} value cannot be greater than ${max} ${breakUnits}.",
            AO_100105: "CalculateDensity failed",
            AO_100106:	"Field ${fieldName} is not numeric.",
            AO_100107:	"Field ${fieldName} does not have any positive values.",
            AO_100108:	"Field ${fieldName} has negative values, only positive values will be considered for calculating density.",
            AO_100109:	"The geometry type for the input layer must be points or lines.",
            AO_100110:	"Your user role does not include the geoEnrichment privilege",
            AO_100111:	"Your user role does not include the network analysis privilege",
            AO_100112: "Your user role does not include the publish hosted features privilege",
            AO_100113: "None of the stops were assigned to any routes. Check the Status and Violated Constraints fields in the output unassigned stops layer for more information.",
            AO_100114: "The time spent at each stop, ${stopServiceTime} minutes, must be less than the total route time per vehicle, ${maxRouteTime} minutes.",
            AO_100115: "Some stops were not assigned to any routes. Check the Violated Constraints field in the output unassigned stops layer for more information.",
            AO_100116: "Only ${routesUsed} out of ${routeCount} routes are needed to reach all stops. If you want to use more routes, run Plan Routes again but reduce the limits on the maximum number of stops or the total route time per vehicle.",
            AO_100117: "Driving a truck is currently not supported outside of North America and Central America.",
            AO_100118: "Your user role does not include the create, update and delete content privilege.",
            GPEXT_001: "Invalid parameter ${name} value",
            GPEXT_002: "Parameter missing ${name}",
            GPEXT_003: "Invalid parameter ${name}:property ${propname} is missing",
            GPEXT_004: "Invalid layer parameter property ${propname} is missing",
            GPEXT_005: "Failed to access url ${url}.",
            GPEXT_006: "Accessing url ${url} returned error ${error}.",
            GPEXT_007: "Invalid item ${id}",
            GPEXT_008: "Failed to create service ${name}",
            GPEXT_009: "Failed to add layer ${lname} to service ${name}",
            GPEXT_010: "Failed to parse layer JSON",
            GPEXT_011: "Layer ${url} does not have Extract capability",
            GPEXT_012: "Invalid External Operation",
            GPEXT_013: "This tool uses the Geoenrichment Service.  Please refer to ArcGIS Online Service Credit Estimator for more details.",
            GPEXT_014: "This tool uses Network Analysis Services.  Please refer to ArcGIS Online Service Credit Estimator for more details.",
            GPEXT_015: "Select appropriate helper services url from Portal for requested operation.",
            GPEXT_016: "Invalid layer object.",
            GPEXT_017: "Service ${name} already exists.",
            GPEXT_018: "The remote feature service ${url} exceeds the limit of 100,000 features. Create a hosted feature service to analyze large data.",
            GPEXT_019: "Invalid filter for layer ${url}.",
            SS_00003: "The following report outlines the summary of your Find Similar Locations result:",
            SS_00004: "The following report outlines the workflow used to optimize your Find Outliers result:",
            SS_84698: "Using a hexagon of width ${HexWidth} and height ${HexHeight}",
            SS_84703: "The Neighborhood Distance used was ${NeiborDistance}.",
            SS_84705: "Creating the random reference distribution with ${NumPermutation} permutations.",
            SS_84708: "There are ${NumLowOutliers} statistically significant low outlier features.",
            SS_84709: "There are ${NumHighOutliers} statistically significant high outlier features.",
            SS_84710: "There are ${NumLowClusters} features part of statistically significant low clusters.",
            SS_84711: "There are ${NumHighClusters} features part of statistically significant high clusters.",
            SS_84503: "Summary of Input Features to Match",
            SS_89997: "[\"Attribute\", \"Min\", \"Max\", \"SD\", \"Mean\"]",
            SS_84504: "Summary of Attributes of Interest",
            SS_84512: "[\"Attribute\", \"Min\", \"Max\", \"SD\", \"Mean\", \"Input\"]",
            SS_84505: "Top ${numResults} Most Similar Locations (Values)",
            SS_84506: " Top 10 of ${numResults} Most Similar Locations (Values)",
            SS_84510: "[\"OID\", \"SIMRANK\", \"SIMINDEX\"]",
            SS_89998: " [\"\", \"Total\", ${sumIndex}] ",
            AO_100119: "The geometry type of WithinLayer input must be polygons",
            AO_100120: "The features in the layer are beyond max request size limit and cannot be enriched",
            AO_100121: "CreateViewshed Failed",
            AO_100122: "TraceDownstream Failed",
            AO_100123: "CreateWatersheds Failed",
            AO_100124: "The geometry type of Input Layer must be point for buffer type ${bufferType}",
            AO_100125: "The groupby field ${fieldName} must be integers, text or date.",
            AO_100126: "The features in the input layer are beyond max request size and hence simplified",
            AO_100127: "All input points fall outside of the data coverage area.",
            AO_100128: "The point field provided must be string or integer",
            AO_100129: "The point falls outside the catchment extent",
            AO_100130: "The point falls outside the processing unit extent",
            AO_100131: "The maximum viewing distance parameter cannot be more than ${max}${units}",
            AO_100132: "The DEM source data is not available in the input points area.",
            AO_100133: "The input DEM resolution is not supported at the specified maximum distance value. Specify a smaller maximum distance value.",
            AO_100136: "The geometry type for Extent Layer must be polygon.",
            AO_100137: "A value for the  ${parameterName} is required.",
            AO_100138: "Some origins were not connected to their paired destinations. Check the Status field in output unassigned origins and unassigned destinations layers for more information.",
            AO_100139: "None of the origins could be connected to destinations.",
            AO_100140: "The features in the Extent Layer are beyond max request size and hence simplified.",
            AO_100141: "The features in the Extent Layer are beyond max request size limit and cannot be extracted.",
            AO_100142: "The extent of the input point features exceeds the allowed maximum extent.",
            AO_100143: "Your user role does not include the elevation analysis privilege.",
            AO_100144: "The ${serviceName} utility is not registered for the portal.",
			AO_100145: "The following travel mode is invalid: ${travelMode}.",
			AO_100146: "The chosen break units, ${breakUnits}, and travel mode, ${travelMode}, are incompatible. They are not mutually time or distance values.",
			AO_100147: "The travel mode does not specify a time-based impedance attribute.",
            AO_100148: "You do not have permissions to access the utility ${serviceName}",
	        AO_100149: "Unable to access registered url for utility ${serviceName}: ${msg}",
            AO_100150: "Choose Best Facilities failed.",
            AO_100151: "The chosen travel range units, ${travelRangeUnits}, and travel mode, ${travelMode}, are incompatible. They are not mutually time or distance values.",
            AO_100152: "The combined count of features in ${requiredFacilitiesLayer} and ${candidateFacilitiesLayer} cannot be greater than ${max}.",
            AO_100153: "The value for the ${paramName} parameter must be greater than zero.",
            AO_100154: "Either specify a value for ${paramName1} or ${paramName2} parameter.",
            AO_100155: "The candidate facilities layer, ${candidateFacilitiesLayer}, should not be specified for Allocate goal.",
            AO_100156: "The percentage of demand to cover must be greater than zero and less than or equal to one hundred.",
            AO_100157: "The number of candidates to choose cannot be less than the number of features in the required facilities layer.",
            AO_100158: "The number of candidates to choose cannot be greater than ${max}.",
            AO_100159: "The number of datacollections is greater than the max limit of ${maxDataCollections}.",
            BD_109: "Buffer distance cannot be negative for lines and points.",
            BD_101018: "One or more features were skipped because a negative or very small distance resulted in no geometry.",
            BD_110047: "The value for the Time Step Interval parameter must be positive and greater than zero.",
            BD_110064: "Failed to create the Output Space Time Cube due to the Summary Field ${variableName}. Reconsider the chosen Statistic and Fill Type for this field.",
            BD_800: "The value is not a member of ${value}.",
            BD_101010: "The result of your analysis did not return any features. No layer will be created.",
            BD_101000: "Unable to perform query operation.",
            BD_101008: "Field '${requiredField}' is required.",
            BD_101001: "This operation requires time to be set on the source features, missing in '${paramName}'.",
            BD_101028: "Starting new distributed job with ${totalTasks} tasks.",
            BD_101002: "This operation requires geometry to be set on the source features, missing in '${paramName}'.",
            BD_101003: "The distance interval type is not supported.",
            BD_101039: "The input ${paramName} is in a geographic coordinate system, but this operation requires a projected coordinate system. Please use a projected dataset or set the processing coordinate system for analysis to be a projected coordinate system.",
            BD_101004: "The given feature relationship '${targetType} ${relationshipType} ${joinType}' is not valid.",
            BD_101005: "Field '${requiredField}' is required if '${setField}' is set.",
            BD_101006: "The time interval type is not supported. Only whole numbers are allowed.",
            BD_101007: "At least one relationship is required.",
            BD_101009: "Field(s) not found in dataset: ${fields}",
            BD_101011: "One of either '${firstField}' or '${secondField}' is required.",
            BD_101012: "Both '${firstField}' and '${secondField}' cannot be set at the same time.",
            BD_101013: "Wrong time type for '${paramName}'. Expected '${expectedType}', got '${actualType}'.",
            BD_101014: "The given spatial relationship '${targetGeometryType} ${relationshipType} ${joinGeometryType}' is not valid.",
            BD_101015: "The set of relationships defined is not valid.",
            BD_101016: "A spatial reference is required when the GEODESIC option is selected.",
            BD_101017: "Some planar buffer results may exceed valid extent. Consider using a geodesic buffer to account for the shape of the earth.",
            BD_26: "Buffer distance is zero.",
            BD_101019: "One or more features were skipped because of a zero distance field value.",
            BD_101020: "One or more features were skipped because of a NULL or EMPTY distance field value.",
            BD_101021: "One or more features were skipped because of an invalid buffer distance field value.",
            BD_101031: "Job has been cancelled.",
            BD_101022: "One or more features were skipped because of a non-linear buffer distance field value.",
            BD_101023: "One or more features were skipped because the buffer distance type is invalid.",
            BD_101024: "Using geodesic method for geographic coordinate system.",
            BD_101025: "Invalid buffer expression.",
            BD_308: "Invalid field type.",
            BD_101026: "Parameter '${paramName}' is not valid.",
            BD_101027: "'${outputName}' is not a valid output name.",
            BD_101029: "${completedTasks}/${totalTasks} distributed tasks completed.",
            BD_101030: "Failed to execute ${toolName}. Please contact your administrator with job ID '${jobID}'.",
            BD_101032: "Value '${paramValue}' in parameter '${paramName}' does not fall within the valid range [${expectedRange}]",
            BD_101033: "'${paramName}' will be projected into the processing spatial reference.",
            BD_101034: "'${paramName}' does not have a spatial reference and could not be projected to the processing spatial reference.",
            BD_101035: "'${paramName}' will be limited to the output extent.",
            BD_101036: "The '${statistic}' statistic is not valid for field '${fieldName}'.",
            BD_101037: "Neighborhood size must be greater than bin size.",
            BD_101038: "An error occurred while returning the result, however, the result should still be available in your Portal.",
            BD_110004: "A Space Time Cube must have at least 10 time slices.",
            BD_641: "Too few records for analysis. This tool requires at least ${minFeatures} feature(s) to compute results.",
            BD_1022: "This tool requires a projected coordinate system.",
            BD_110005: "This Space Time cube cannot be created because it would have more than the maximum two billion bins.",
            BD_101041: "Failed to connect to data store. Please verify that the connection info is correct.",
            BD_101053: "Some records have time values that are not of type ${timeType}.",
            BD_101060: "There were ${numErrors} time steps that could not be calculated. The first ${numDisplay} errors have been displayed.",
            BD_100090: "This tool requires at least 2 candidate search locations that are not also reference locations.",
            BD_84505: "Top '${numResults}' Most Similar Locations (Values).",
            BD_101057: "Unable to start distributed job. Please check your GeoAnalyticsTools service settings and ensure that there are enough resources available for the job to run.",
            BD_101046: "No results to return. Specify the number of results.",
            BD_84504: "Summary of Attributes of Interest,",
            BD_89997: "[\"Attribute\", \"Min\", \"Max\", \"SD\", \"Mean\"].",
            BD_3: "The following report outlines the summary of your Find Similar Locations result.",
            BD_101042: "Unable to access file share. Please verify that your ArcGIS Server user account has access to the file share.",
            BD_1599: "Too few records for analysis. This tool requires at least 1 reference location in the Input Layer to compute results.",
            BD_101052: "Some records have either missing or invalid time values.",
            BD_101063: "There is zero variance. All of the values for your input field are likely the same.",
            BD_100084: "Field type is required to be String, Integer, Double or Date.",
            BD_101061: "The time step from ${startTime} to ${endTime} has too few records for analysis. Each time step requires at least ${minFeatures} feature(s) to compute results.",
            BD_101045: "You must provide at least two Attributes Of Interest for the Attribute Profile Match Method.",
            BD_100089: "The following fields lack sufficient variation for use in this analysis: ${attribute}.",
            BD_84506: "Top 10 of '${numResults}' Most Similar Locations (Values).",
            BD_101049: "The number of results requested is greater than the number of results returned.",
            BD_84503: "Summary of Input Features to Match,",
            BD_101056: "Invalid summary shape unit ${unit} for geometry ${geomType}.",
            BD_84510: "[\"OID\", \"SIMRANK\", \"SIMINDEX\"]",
            BD_101059: "No time steps could be calculated.",
            BD_84512: "[\"Attribute\", \"Min\", \"Max\", \"SD\", \"Mean\", \"Input\"].",
            BD_101048: "Attributes of Interest has duplicates.",
            BD_1589: "Too few records for analysis. This tool requires at least 2 Candidate Features to compute results.",
            BD_101062: "The time step from ${startTime} to ${endTime} has zero variance. All of the values for your input field in this time step are likely the same.",
            BD_101055: "Some records have geometries that are not of type ${geometryType}.",
            BD_101040: "A web layer named '${outputName}' already exists. Please choose a different name that is unique within your organization.",
            BD_100088: "Field(s) \"${attribute}\" must be in both the reference and candidate search layers.",
            BD_101050: "Selected attributes of interest field type is required to be Integer, Double.",
            BD_101044: "${attribute}, ${min}, ${max}, ${sd}, ${mean}, ${input}.",
            BD_101054: "Some records have either missing or invalid geometries.",
            BD_101058: "Analysis requires more memory than is allocated. Please increase the memory allocated to your GeoAnalytics toolbox in ArcGIS Server Manager.",
            BD_100082: "A field name and an expression are required.",
            BD_89998: "[\"\", \"Total\", ${sumIndex}]",
            BD_101047: "Number of results must be greater than 0.",
            BD_101051: "Possible issues were found while reading '${paramName}'.",
            BD_101043: "${attribute}, ${min}, ${max}, ${sd}, ${mean}.",
            AO_100160: "Some of the features have invalid geometry and have been removed from the result",
            AO_100161: "Batch Geocode failed.",
            AO_100162: "Analyze Geocode Input failed.",
            AO_100163: "Your text qualifier is invalid.",
            AO_100164: "You must enter either inputTable, inputFileItem or columnNames. All three cannot be empty.",
            AO_100165: "If your header row does not exist, you must enter columnNames.",
            AO_100166: "If your fileType is table, then you must enter an inputTable.",
            AO_100167: "CSV Collection is not a supported input type. Please input a CSV or Microsoft Excel spreadsheet.",
            AO_100168: "Your filename or extension is too long.",
            AO_100169: "Your zip file cannot be opened.",
            AO_100170: "There is no file of the specified format in your zip file.",
            AO_100171: "Invalid locator service URL: {service_url}.",
            AO_100172: "Invalid credentials or invalid locator service URL: ${service_url}..",
            AO_100173: "The user does not have geocoding privileges.",
            AO_100174: "The geocoding service must be on a federated server.",
            AO_100175: "Invalid token.",
            AO_100176: "Your file must be UTF-8 encoded. Please resubmit your file..",
            AO_100177: "Your Excel file is corrupted and cannot be opened.",
            AO_100178: "Your file's first row is empty. Please edit your file and resubmit.",
            AO_100179: "You must define column widths if your file is fixed width.",
            AO_100180: "Your column widths must be integers separated by commas like so: 5,7,13.",
            AO_100181: "The file's header row could not be parsed.",
            AO_100182: "Field ${field} could map to 2 possible alias fields ${field_one} and ${field_two}.",
            AO_100183: "Field mapping entered in an incorrect format.",
            AO_100184: "Incorrect outputFields. Enter outputFields like so: x,y,score,match_addr.",
            AO_100185: "chars_per_row must be an integer.",
            AO_100186: "Incorrect widths_of_cols. Enter widths_of_cols like so: 10,15,6.",
            AO_100187: "Your outputName must be blank to get out a Feature Collection.",
            AO_100188: "Your outputName cannot be empty.",
            AO_100189: "Incorrect geocodeServiceURL, verify that the geocoding service is online and has a valid geocodeAddresses REST endpoint.",
            AO_100190: "There were more lines read than there are lines. Check your header_rows_to_skip parameter.",
            AO_100191: "Unable to write header: check to see if your headerRowsToSkip is incorrect or if the geocoding service is down.",
            AO_100192: "If your header row exists, you must provide the headerRowsToSkip.",
            AO_100193: "Your headerRowsToSkip must be a positive number less than the number of rows in the inputTable or inputFileItem.",
            AO_100194: "Results file is being edited by another program.",
            AO_100195: "File entered was empty, returning an empty file.",
            AO_100196: "Field mapping must be a list of lists.",
            AO_100197: "Your geocodingServiceURL may be incorrect, it does not have a maxBatchSize on the info page.",
            AO_100198: "Edit your field mapping and resubmit, none of your fields are mapped to valid locator fields.",
            AO_100199: "Edit your field mapping and resubmit, your mapping includes a locator field that is not supported.",
            AO_100200: "Edit your field mapping and resubmit, your mapping includes an unsupported locator field. Supported locator fields are ${supported_fields}.",
            AO_100201: "Your field_mapping includes an input field ${field} not present in your input file: ${supported_fields}.",
            AO_100202: "Could not make a REST request from the server machine verify that the server machine can connect to the internet.",
            AO_100203: "The geocodeServiceURL entered should be https instead of http.",
            AO_100204: "The inputTable has over 100,000 records and is not supported.",
            AO_100205: "Your column delimiter is invalid.",
	        AO_100206: "Create Replica failed for the Url(s): ${failedUrls}",
	        AO_100207: "The total number of input fields and enrichment variables exceed the maximum limitation of ${maxCountOfFields}",
            AO_100208: "Your header row is not the same length as the number of lists in your field mapping.",
            AO_100209: "Your headerRowsToSkip must be a positive number less than the number of rows in the inputTable or inputFileItem.",
            AO_100210: "Your input file has too many rows. xls only supports up to 65536 rows. Please submit a different outputType.",
			AO_100211: "Create Route Layers failed.",
			AO_100212: "Input route data file is not a valid zip file.",
			AO_100213: "Input route data does not contain the required Stops feature class.",
			AO_100214: "Input route data does not contain at least two stops.",
			AO_100215: "JoinFeatures failed.",
            AO_100216: "Find Outliers failed.",
            AO_100217: "Failed to save the result as route layers since the analysis did not produce any routes.",
            AO_100218: "Including route layers is not valid when measurementType is StraightLine.",
            AO_192: "Cell size should be smaller than Distance Band.",
            AO_100219: "Invalid input for parameter ${paramName}",
			AO_100220: "The geometry type ${geomType} for ${paramName} is not supported for spatial relationship: ${spatialRel}.",
			AO_100221: "Attribute or Spatial Relationship must be specified.",
			AO_100222: "Spatial relationship is not supported for table inputs.",
            AO_100223: "Including route layers is not supported when requesting feature collection output.",
		    AO_100224: "Failed to download route data from the route data item, {itemId}.",
            AO_100225: "Failed to delete the route data item, {itemId}.",
            AO_100226: "Failed to extract route data from the route data file.",
            AO_100227: "Your header row is not the same length as the number of lists in your field mapping.",
            AO_100228: "Your headerRowsToSkip must be a positive number less than the number of rows in the inputTable or inputFileItem.",
            AO_100229: "Your input file has too many rows. xls only supports up to 65536 rows. Please submit a different outputType.",
            AO_100230: "Your file type is not supported. Supported file types are csv and xlsx.",
            AO_100231: "Your outputName is not formatted correctly.",
            AO_100232: "Your user role does not include the geocode privilege.",
            AO_100233: "The number of records in the input table is greater than the maximum records allowed for geocoding.",
            AO_100234: "You cannot submit both a table and a file, please submit only one.",
            AO_100235: "Your inputFileParameters is not formatted correctly.",
            AO_100236: "If you are submitting a file you must specify inputFileParameters.",
            AO_100237: "This input table is invalid. Please select another table.",
            AO_100238: "This input file is invalid. Please select another file.",
            AO_100239: "You must specify either an inputFile, inputTable or columnNames.",
            AO_100240: "Your geocodeParameters is not formatted correctly.",
            AO_100241: "Your output result name already exists, please choose a different name.",
            AO_100242: "You do not have enough credits to perform this operation. Contact your ArcGIS System Administrator for assistance."
        },
        // geoenrichment
        geoenrichment: {
            task: {
                GeoenrichmentTask: {
                    noData: "There is no data for the selected area"
                }
            },
            dijit: {
                AgePyramid: {
                    maxLabel: "The largest group:",
                    minLabel: "The smallest group:",
                    compLabel: "Dots show comparison to",
                    menLabel: "Men",
                    womenLabel: "Women"
                },
                BufferOptions: {
                    studyArea: "Show data for:",
                    ring: "Ring",
                    driveTime: "Drive Times",
                    driveDistance: "Drive Distance",
                    radius: "Radius:",
                    time: "Time:",
                    distance: "Distance:",
                    buffer: "Buffer:",
                    units: {
                        esriDriveTimeUnitsMinutes: "minutes",
                        esriMiles: "miles",
                        esriKilometers: "kilometers",
                        esriFeet: "feet",
                        esriMeters: "meters"
                    }
                },
                bufferTitle: {
                    pointRing: {
                        esriFeet: "${radius}-feet ring",
                        esriKilometers: "${radius}-km ring",
                        esriMeters: "${radius}-meter ring",
                        esriMiles: "${radius}-mile ring"
                    },
                    pointDriveTime: {
                        esriFeet: "${radius}-feet drive distance",
                        esriKilometers: "${radius}-km drive distance",
                        esriMeters: "${radius}-meter drive distance",
                        esriMiles: "${radius}-mile drive distance",
                        esriDriveTimeUnitsMinutes: "${radius}-minute drive time"
                    },
                    lineBuffer: {
                        esriFeet: "${radius}-feet buffer",
                        esriKilometers: "${radius}-km buffer",
                        esriMeters: "${radius}-meter buffer",
                        esriMiles: "${radius}-mile buffer"
                    },
                    polygon: "This area",
                    stdGeo: "Intersecting ${level} feature"
                },
                VariableStore: {
                    global: "Global",
                    number: "#",
                    percent: "%",
                    average: "Avg",
                    index: "Index",
                    reliability: "Reliability"
                },
                DataCategoriesPage: {
                    loading: "Loading...",
                    search: "Search for a variable name",
                    noResults: "No results found for \'${seachKey}\'.",
                    showFavorites: "Show Favorite Variables",
                    allHierarchies: "All Data",
                    hierarchy_census: "Standard Data",
                    hierarchy_landscape: "Landscape Data",
                    premiumHierarchy: "${name} Data"
                },
                DataCollectionsPage: {
                    categoryName: "${categoryName} Variables",
                    mapPopVar: "Choose a Popular Variable",
                    keepBrowse: "Keep Browsing",
                    showAll: "Show all ${categoryName} Variables",
                    noResults: "No results found for \'${seachKey}\'.",
                    search: "Search within the current category"
                },
                DataVariablesPage: {
                    allVariablesTitle: "All Variables",
                    favoriteVariablesTitle: "Favorite Variables",
                    groupVariables: "${groupName} variables",
                    searchVariables: "'${searchKey}' variables",
                    allVariables: "All variables",
                    searchInGroupVariables: "'${searchKey}' variables from ${groupName}",
                    favoriteVariables: "Favorite variables"
                },
                ShoppingCart: {
                    selectedVars: "Selected Variables",
                    noVariables: "No variables have yet been selected"
                },
                VariableInfo: {
                    name: "Name",
                    variable: "Variable",
                    source: "Source",
                    vintage: "Vintage"
                },
                EnrichOptionsPage: {
                    bufferRing: "1 mile circle around locations",
                    bufferPolygon: "input polygons (buffer unavailable)",
                    selectedVariables: "Selected Variables:",
                    customize: "customize",
                    bufferOptions: "Show data for:",
                    edit: "edit",
                    totalVars: "Total Variables: ${varCount} (${credits})",
                    varsPerRow: "Variables per Row: ${varCount} (${credits})",
                    credits: "${credits} credits",
                    creditsCalc: "calculating...",
                    totalVarsTooltip: "This operation will enrich ${rowCount} rows with ${varCount} variables and will cost ${credits}.",
                    varsPerRowTooltip: "This operation will enrich each row with ${varCount} variables and will cost ${credits} per row.",
                    overwriteExisting: "Existing column values will be overwritten",
                    varName: "Variable Name",
                    column: "Column",
                    newColumn: "<Create New>",
                    noColumn: "<None>",
                    back: "Back",
                    finish: "Add data to system"
                },
                InfographicsMainPage: {
                    mainTitle: "Configure Infographics",
                    loading: "Loading...",
                    chooseCountry: "Show available data for: ",
                    chooseDataCollection: "Choose from popular data collections: ",
                    chooseTheme: "Select color theme:",
                    dark: "Dark",
                    light: "Light",
                    addVariables: "Add more variables...",
                    ok: "OK",
                    add: "Add",
                    cancel: "Cancel"
                },
                OneVar: {
                    subtitleSite2: "for this area ",
                    subtitleVar2: "${alias} is ",
                    lessThan: "which is less than the average for ${site}",
                    moreThan: "which is more than the average for ${site}",
                    same: "which is the same as the average for ${site}",
                    areaCol: "Area",
                    valueCol: "Value"
                },
                RelatedVariables: {
                    highLabel2: "The largest group: ${alias}",
                    lowLabel2: "The smallest group: ${alias}",
                    indicatorCol: "Indicator",
                    valueCol: "Value",
                    difCol: "Difference",
                    chartLabel: "Bars show deviation from"
                },
                Tapestry: {
                    hhTypeLabel: "Household Type:",
                    medianAgeLabel: "Median Age:",
                    incomeLabel: "Income:",
                    employmentLabel: "Employment:",
                    educationLabel: "Education:",
                    residentialLabel: "Residential:",
                    raceEthnicityLabel: "Race / Ethnicity:",
                    hhLabel: "households",
                    adultsLabel: "adults",
                    prtHhLabel: "of Households"
                },
                WizardButtons: {
                    back: "Back",
                    ok: "OK",
                    apply: "Apply",
                    cancel: "Cancel",
                    next: "Next"
                },
                EnrichConfig: {
                    title: "Enrich Layer"
                },
                DataBrowser: {
                    title: "Data Browser"
                }
            }
        },
        filterDlg: {
          // expressionTemplate is being used to order drop down / input boxes.
          // in the code values_input might consist of 2 input boxes connected by the string <andBetweenValues>
          // e.g. "NAME is 'Jack'" / "NAME is not 'Jack'"
          // e.g. "POPULATION is between 0 and 1000000"
          // additional text can be added like this:
          // "text0 ${field_dropdown} text1 ${values_input} text2 ${operator_dropdown} text3"
          expressionTemplate: "${field_dropdown} ${operator_dropdown} ${values_input}",
          filter: "Filter",
          applyFilter: "Apply Filter", // header
          applyFilterBtn: "Apply Filter", // label for button
          removeFilterBtn: "Remove Filter",
          view: "View",
          change: "Change",
          edit: "Edit",
          create: "Create",
          match1Msg: "Display features in the layer that match the following expression",
          matchMsg: "Display features in the layer that match ${any_or_all} of the following expressions",
          matchMsgSet: "${any_or_all} of the following expressions in this set are true",
          all: "All", // goes with matchMsg and matchMsgSet
          any: "Any", // goes with matchMsg and matchMsgSet
          andBetweenValues: "and", // value is between 1 and 10
          and: "and",
          or: "or",
          friendlyAnd: "All of these expressions must be true:",
          friendlyOr: "Any of these expressions must be true:",
          friendlyDatePattern: "MM/dd/yyyy", // look in viewer.time for explanation of pattern
          addAnotherExpression: "Add another expression",
          addSet: "Add a set",
          askForValues: "Ask for values",
          value: "Value",
          valueTooltip: "Enter value",
          field: "Field",
          fieldTooltip: "Pick from existing field",
          uniqueValues: "Unique",
          uniqueValueTooltip: "Pick from unique values in selected field",
          toThisLayer: "To this layer",
          toNewLayer: "To a new layer",
          newLayerName: "New layer name",
          showFilterExpression: "Show filter\'s expressions",
          deleteExpression: "Delete this expression",
          deleteSet: "Delete this set",
          addExpression: "Add an expression to this set",
          addSetTooltip: "Add a set to contain expressions",
          promptMsg: "Provide a prompt and some hint text to present this filter interactively to others",
          prompt: "Prompt",
          hint: "Hint",
          stringOperatorIs: "is", // e.g. <stringFieldName> is 'California'
          stringOperatorIsNot: "is not",
          stringOperatorStartsWith: "starts with",
          stringOperatorEndsWith: "ends with",
          stringOperatorContains: "contains",
          stringOperatorDoesNotContain: "does not contain",
          stringOperatorIsBlank: "is blank",
          stringOperatorIsNotBlank: "is not blank",
          dateOperatorIsOn: "is on", // e.g. <dateFieldName> is on '1/1/2012'
          dateOperatorIsNotOn: "is not on",
          dateOperatorIsBefore: "is before",
          dateOperatorIsAfter: "is after",
          dateOperatorDays: "days",
          dateOperatorWeeks: "weeks", // e.g. <dateFieldName> is the last 4 weeks
          dateOperatorMonths: "months",
          dateOperatorInTheLast: "in the last",
          dateOperatorNotInTheLast: "not in the last",
          dateOperatorIsBetween: "is between",
          dateOperatorIsNotBetween: "is not between",
          dateOperatorIsBlank: "is blank",
          dateOperatorIsNotBlank: "is not blank",
          numberOperatorIs: "is", // e.g. <numberFieldName> is 1000
          numberOperatorIsNot: "is not",
          numberOperatorIsAtLeast: "is at least",
          numberOperatorIsLessThan: "is less than",
          numberOperatorIsAtMost: "is at most",
          numberOperatorIsGreaterThan: "is greater than",
          numberOperatorIsBetween: "is between",
          numberOperatorIsNotBetween: "is not between",
          numberOperatorIsBlank: "is blank",
          numberOperatorIsNotBlank: "is not blank",
          emptyString: "empty string",
          error: {
            noUniqueValues: "The specified field has has no values.",
            generateRendererFailed: "Unique values could not be determined for the selected field.",
            missingValue: "there's a missing value in one of the expressions",
            cantParseExpression: "Filter cannot be shown because one or more of its expressions cannot be parsed. To edit the filter expressions, clear the filter and create a new filter interactively."

          }
        },

        calculateFields: {
          addFieldTitle: "Add Field",
          nameLabel: "Name:",
          aliasLabel: "Alias:",
          typeLabel: "Type:",
          lengthLabel: "Length:",
          defaultValueLabel: "Default Value:",
          optional: "(Optional)",
          stringLabel: "String",
          integerLabel: "Integer",
          doubleLabel: "Double",
          dateLabel: "Date",
          expBuilderTitle: "Expression Builder",
          operators: "Operators",
          availableFields: "Available Fields",
          helpers: "Helpers",
          functions: "Functions",
          numeric: "Numeric",
          clear: "Clear",
          validate: "Validate",
          addNewField: "Add New Field",
          add: "Add",
          close: "Close",
          calculate: "Calculate",
          deleteLabel: "Delete",
          exprLabel: "${fieldName} =",
          layerReqMsg: "A layer is required parameter for calculate field",
          fieldReqMsg: "A calculate field has not been provided",
          lyrSupportCalMsg: "This layer ${layername} does not support calculate fields",
          lyrUpdateCapMsg: "Either update capability is not enabled on the layer ${layername} or, you do not have access to update features on this layer",
          selectCalField: "Choose field to calculate:",
          firstOperatorMsg: "Operator '${operator}' cannot start an expression",
          completeHelperMsg: "Complete the helper method added previously",
          successMsg: "Successfully updated ${count} features ",
          deleteField: "Delete Field",
          deleteFieldConfirm: "Are you sure you want to delete '${field}' field from this layer?",
          fields: "Fields",
          exprFailedMsg: "Calculate for the expression '${expr}' failed.",
          inValidFielNameCharMsg: "The field name contains one or more invalid characters <br/>(`~@#$%^&*()-+=|\\<>?/{.!'[]:\n\r).",
          inValidFieldStartCharMsg: "The field name cannot start with one of these invalid characters <br/>(`~@#$%^&*()-+=|\\<>?/{}.!'[]:;\n\r_012356789).",
          invalidSqlkeywordsMsg: "The field name cannot be the same as an SQL keyword.",
          invalidExpression: "The calculate expression is not valid",
          validExpression: "The expression was successfully verified.",
          sameFielNameMsg: "The field name cannot be same as an existing field name",
          invalidFieldLengthMsg: "The field name length should be less than 128 characters.",
          errorCodes: {
            "3001": "Sql expression is not supported.",
            "3002": "Sql expression syntax error.",
            "3004": "Sql expression semantic error.",
            "3007": "Invalid table name ${tableName}.",
            "3008": "Invalid field name ${fieldName}.",
            "3009": "Unsafe sql expression is not allowed."
          },
          absFunc: "${functionName}: Returns the absolute (positive) value of ${num}.",
          castFunc: "${functionName}: Converts a ${num} to a different type. FLOAT converts ${num} to a double and INT converts to an integer.",
          ceilingFunc: "${functionName}: Returns the smallest integer greater than or equal to  ${num}.",
          cosFunc: "${functionName}: Returns the trigonometric cosine of ${num}. ${num} is assumed to be an angle in radians.",
          floorFunc: "${functionName}: Returns the largest integer that is less than or equal to ${num}.",
          logFunc: "${functionName}: Returns the natural logarithm (base E) of ${num}.",
          log10Func: "${functionName}: Returns the base-10 logarithm of ${num}.",
          modFunc: "${functionName}: Returns the remainder after the division of n is performed on ${num}. Both ${n} and ${num} must be integer.",
          powerFunc: "${functionName}: Returns the value of ${num} raised to the specified power ${y}.",
          roundFunc:"${functionName}: Rounds ${num} to the specified ${length}.",
          sinFunc: "${functionName}: Returns the trigonometric sine of ${num}. ${num} is assumed to be an angle in radians.",
          tanFunc:"${functionName}: Returns the tangent of ${num}. ${num} is assumed to be an angle in radians.",
          truncateFunc: "${functionName}: Truncates ${num} at the specified ${decimal_place}. A positive ${decimal_place} truncates while a negative ${decimal_place} rounds.",
          nullifFunc: "${functionName}: Returns null if ${num} equals ${value}. Commonly used to prevent divide-by-zero errors by setting ${value} to 0.",
          char_lengthFunc: "${functionName}: Returns the number of characters in ${str}. The result is an integer.",
          concatFunc: "${functionName}: Concatenates two strings.",
          positionFunc: "${functionName}: Returns the position of the first occurrence of substring in ${str}. If substring is not found, the result is 0.",
          lowerFunc: "${functionName}: Returns a string where all characters in ${str} are converted to lowercase.",
          substringFunc: "${functionName}: Returns a part of ${str}. ${start} is an integer index specifying where the returned characters start. ${length} is the number of characters to be returned.",
          trimFunc: "${functionName}: Returns a string where all leading or trailing spaces are removed from ${str}.",
          upperFunc: "${functionName}: Returns a string where all characters in ${str} are converted to uppercase.",
          current_dateFunc: "${functionName}: Returns the current date.",
          current_timeFunc: "${functionName}: Returns the current time (hours, minutes, seconds).",
          current_timestampFunc: "${functionName}: Returns the current time (hours, minutes, seconds, milliseconds).",
          asMetersFunc: "${functionName}: Applies the calculation assuming the value of ${num} is in meters.",
          asKilometersFunc: "${functionName}: Applies the calculation assuming the value of ${num} is in kilometers.",
          asFeetFunc: "${functionName}: Applies the calculation assuming the value of ${num} is in feet.",
          asYardsFunc: "${functionName}: Applies the calculation assuming the value of ${num} is in yards.",
          asMilesFunc: "${functionName}: Applies the calculation assuming the value of ${num} is in miles.",
          asNuaticalMilesFunc: "${functionName}: Applies the calculation assuming the value of ${num} is in nautical miles.",
          squareRootFunc: "${functionName}: Returns the square root of ${num}.",
          minFunc: "${functionName}: Returns the lowest valued ${num} in the array.",
          maxFunc: "${functionName}: Returns the highest valued ${num} in the array.",
          constrainFunc: "${functionName}: Returns the input value if it's within the constraining bounds. If the value is less than ${low}, it returns ${low}, if the value is greater than ${high} it returns the ${high} value.",
          iffFunc: "${functionName}: Returns one value if a condition evaluates to True, and another value if that condition evaluates to False",
          whenFunc: "${functionName}: Evaluates a series of expressions in turn, until one evaluates to true.",
          decodeFunc: "${functionName}: Evaluates an expression, and then compares its value with subsequent parameters. If the expression matches it returns the next parameter value. If none match, there is the option for the last parameter to be a default return value.",
          extractFunc: "${functionName}: Returns a single part of a date/time, such as year, month, day, hour, minute, etc."
        },

        smartMapping: {
            other: "Other",
            minToMax: "to",
            sumOfCategories: "Sum of categories",
            predominantCategory: "Predominant category",
            strengthOfPredominance: "Strength of predominance",
            ageInfo_years: "Age, in years, from ${startTime} to ${endTime}",
            ageInfo_months: "Age, in months, from ${startTime} to ${endTime}",
            ageInfo_days: "Age, in days, from ${startTime} to ${endTime}",
            ageInfo_hours: "Age, in hours, from ${startTime} to ${endTime}",
            ageInfo_minutes: "Age, in minutes, from ${startTime} to ${endTime}",
            ageInfo_seconds: "Age, in seconds, from ${startTime} to ${endTime}"
        },

        networkAnalysis: {
          enums: {
            esriNAObjectStatus: {
              esriNAObjectStatusOK: "OK",
              esriNAObjectStatusNotLocated: "Not Located on Network",
              esriNAObjectStatusElementNotLocated: "Network Unbuilt",
              esriNAObjectStatusElementNotTraversable: "Prohibited Street",
              esriNAObjectStatusInvalidFieldValues: "Invalid Field Values",
              esriNAObjectStatusNotReached: "Cannot Reach",
              esriNAObjectStatusTimeWindowViolation: "Time Window Violation"
            },
            esriNACurbApproachType: {
              esriNAEitherSideOfVehicle: "Either side",
              esriNARightSideOfVehicle: "From the right",
              esriNALeftSideOfVehicle: "From the left",
              esriNANoUTurn: "Depart in the same direction"
            },
            esriNALocationType: {
              stop: "Stop",
              waypoint: "Waypoint"
            },
            esriDirectionsManeuverType: {
              esriDMTBearLeft: "Bear left",
              esriDMTBearRight: "Bear right",
              esriDMTDepart: "Depart stop",
              esriDMTDoorPassage: "Door passage",
              esriDMTElevator: "Elevator",
              esriDMTEndOfFerry: "End of ferry",
              esriDMTEscalator: "Escalator",
              esriDMTFerry: "Take ferry",
              esriDMTForkCenter: "At fork keep center",
              esriDMTForkLeft: "At fork keep left",
              esriDMTForkRight: "At fork keep right",
              esriDMTHighwayChange: "Go on another highway",
              esriDMTHighwayExit: "Exit highway",
              esriDMTHighwayMerge: "Merge to highway",
              esriDMTPedestrianRamp: "Pedestrian ramp",
              esriDMTRampLeft: "Ramp left",
              esriDMTRampRight: "Ramp right",
              esriDMTRoundabout: "Take roundabout",
              esriDMTSharpLeft: "Make sharp left",
              esriDMTSharpRight: "Make sharp right",
              esriDMTStairs: "Stairs",
              esriDMTStop: "Arrive at stop",
              esriDMTStraight: "Go straight",
              esriDMTTripItem: "Trip planning item",
              esriDMTTurnLeft: "Turn left",
              esriDMTTurnLeftLeft: "Turn left and immediately turn left",
              esriDMTTurnLeftRight: "Turn left and immediately turn right",
              esriDMTTurnRight: "Turn right",
              esriDMTTurnRightLeft: "Turn right and immediately turn left",
              esriDMTTurnRightRight: "Turn right and immediately turn right",
              esriDMTUnknown: "Unknown",
              esriDMTUTurn: "Make U-turn"
            },
            esriDirectionItemType:{
              esriDITUnknown: "Unknown",

              //Maneuver Items
              esriDITManeuverArrive: "Arrive at stop",
              esriDITManeuverDepart: "Depart at stop",
              esriDITManeuverDoor: "Pass the door",
              esriDITManeuverBearLeft: "Bear left",
              esriDITManeuverBearRight: "Bear right",
              esriDITManeuverElevator: "",
              esriDITManeuverElevatorUp: "Indicates up direction of elevator",
              esriDITManeuverElevatorDown: "Indicates down direction of elevator",
              esriDITManeuverEscalator: "Take escalator",
              esriDITManeuverEscalatorDown: "Indicates down direction of escalator",
              esriDITManeuverEscalatorUp: "Indicates up direction of escalator",
              esriDITManeuverFerryOn: "Take ferry",
              esriDITManeuverFerryOff: "Take off ferry",
              esriDITManeuverForkCenter: "Keep center at fork",
              esriDITManeuverForkLeft: "Keep left at fork",
              esriDITManeuverForkRight: "Keep right at fork",
              esriDITManeuverPedestrianRamp: "Take pedestrian ramp",
              esriDITManeuverRampLeft: "Ramp left",
              esriDITManeuverRampRight: "Ramp right",
              esriDITManeuverRoundabout: "Take roundabout",
              esriDITManeuverRoundaboutLeft: "Take left-handed roundabout",
              esriDITManeuverRoundaboutRight: "Take right-handed roundabout",
              esriDITManeuverTurnLeft: "Turn left",
              esriDITManeuverTurnLeftLeft: "Turn left, followed by turn left",
              esriDITManeuverTurnLeftRight: "Turn left, followed by turn right",
              esriDITManeuverTurnRight: "Turn right",
              esriDITManeuverTurnRightLeft: "Turn right, followed by turn left",
              esriDITManeuverTurnRightRight: "Turn right, followed by turn right",
              esriDITManeuverSharpLeft: "Make sharp left",
              esriDITManeuverSharpRight: "Make sharp right",
              esriDITManeuverStraight: "Go straight",
              esriDITManeuverStairs: "Take stairs",
              esriDITManeuverStairsUp: "Take up-stairs",
              esriDITManeuverStairsDown: "Take down-stairs",
              esriDITManeuverUTurn: "Make U-Turn",
              esriDITManeuverUTurnLeft: "Make left-handed U-Turn",
              esriDITManeuverUTurnRight: "Make right-handed U-Turn",

              //Event Items
              esriDITEvent: "General event",
              esriDITEventBarrier: "Scale cost barrier crossing",
              esriDITEventBoundary: "Administrative Border crossing",
              esriDITEventLandmark: "Landmark",
              esriDITEventTimeZone: "Time zone change",
              esriDITEventTraffic: "Heavy traffic segment",
              esriDITEventRestrictionViolation: "Restriction violation"
            },
            esriDirectionsLineType: {
              esriDLTUnknown: "Unknown",
              esriDLTSegment: "Segment",
              esriDLTSegmentManeuver: "Maneuver Segment",
              esriDLTSoftRestrictionViolation: "Restriction violation",
              esriDLTBarrier: "Scale cost barrier crossing",
              esriDLTStopAndGoTraffic: "Heavy Traffic",
              esriDLTSlowTraffic: "Slow Traffic",
              esriDLTModerateTraffic: "Moderate Traffic"
            },
            esriNABarrierType: {
              esriNABTRestriction: "Restriction",
              esriNABTScaledCost: "Scaled Cost",
              esriNABTAddedCost: "Added Cost"
            },
            esriNAIntYesNo: {
              No: "No",
              Yes: "Yes"
            }
          },
          fields: {
            RouteId: "Route ID",
            stops: {
              CurbApproach: "Curb Approach",
              ArrivalCurbApproach: "Arrival Curb Approach",
              DepartureCurbApproach: "Departure Curb Approach",
              Name: "Name",
              Sequence: "Sequence",
              Status: "Status",
              LocationType: "Location Type",
              TimeWindowStart: "Time Window Start",
              TimeWindowEnd: "Time Window End",
              ArrivalTime: "Arrival Time",
              DepartureTime: "Departure Time",
              ArrivalUTCOffset: "Arrival Time: Offset from UTC in Minutes",
              DepartureUTCOffset: "Departure Time: Offset from UTC in Minutes",
              ServiceMinutes: "Service Minutes",
              ServiceMeters: "Service Meters",
              ServiceCosts: "Service Costs",
              CumulativeMinutes: "Cumulative Minutes",
              CumulativeMeters: "Cumulative Meters",
              CumulativeCosts: "Cumulative Costs",
              LateMinutes: "Minutes Late",
              WaitMinutes: "Minutes Early",
              Properties: "Additional Properties"
            },
            directions: {
              Sequence: "Sequence",
              StopSequence: "Sequence of Associated Stop",
              ArrivalTime: "Maneuver Starts at",
              UTCOffset: "Offset from UTC in Minutes",
              ManeuverType: "Maneuver",
              Meters: "Length in Meters",
              Minutes: "Duration in Minutes",
              DirectionText: "Direction Text",
              ManeuverMessages: "Maneuver Messages",
              //3.20
              ItemType: "Directions Item Type",
              StopID: "Stop ID",
              DisplayText: "Text to Display",
              Azimuth: "Azimuth",
              Name: "Primary Feature Name",
              AlternativeName: "Alternative Feature Name",
              ExitName: "Highway Exit Name",
              IntersectingName: "Intersecting Feature Name",
              BranchName: "Signpost Branch Name",
              TowardName: "Signpost Toward Name",
              VoiceShortText: "Voice Instruction",
              VoiceFullText: "Voice Full Instruction",
              Level: "3D Logical Level"
            },
            directionEvents: {
              DirectionSequence: "Direction Sequence",
              Sequence: "Sequence",
              ArrivalTime: "Event Time",
              UTCOffset: "Offset from UTC in Minutes",
              EventText: "Event Text",
              EventMessages: "Event Messages"
            },
            directionLines: {
              DirectionSequence: "Direction Sequence",
              DirectionPointID: "Direction Point ID",
              LineType: "Line Type",
              Meters: "Length in Meters",
              Minutes: "Duration in Minutes",
              LevelFrom: "Start from 3D Level",
              LevelTo: "End at 3D Level"
            },
            barriers: {
              BarrierType: "Barrier Type",
              FullEdge: "Affects Entire Street Segment",
              AddedCost: "Added Cost",
              Costs: "Costs",
              Status: "Status",
              CurbApproach: "Curb Approach",
              Name: "Name"
            },
            polylineBarriers: {
              BarrierType: "Barrier Type",
              ScaleCost: "Scale Factor",
              Costs: "Costs",
              Name: "Name"
            },
            polygonBarriers: {
              BarrierType: "Barrier Type",
              ScaleCost: "Scale Factor",
              Costs: "Costs",
              Name: "Name"
            },
            routeInfo: {
              Version: "Version",
              RouteName: "Route Name",
              TotalMinutes: "Total Minutes",
              TotalMeters: "Total Meters",
              TotalLateMinutes: "Total Late Minutes",
              TotalWaitMinutes: "Total Wait Minutes",
              TotalCosts: "Total Costs",
              StartTime: "Start Time",
              StartUTCOffset: "Start Time: Offset from UTC in Minutes",
              EndTime: "End Time",
              EndUTCOffset: "End Time: Offset from UTC in Minutes",
              Messages: "Analysis Messages",
              AnalysisSettings: "Analysis Settings",
              Properties: "Additional Properties"
            }
          },
          sharing: {
            stopsLayer: "Stops",
            directionsLayer: "Directions",
            directionPointsLayer: "Direction Points",
            directionLinesLayer: "Direction Lines",
            directionEventsLayer: "Direction Events",
            barriersLayer: "Barriers",
            polylineBarriersLayer: "Line Barriers",
            polygonBarriersLayer: "Polygon Barriers",
            routeInfoLayer: "Route Details",
            itemDescription: "Add an in-depth description of the item.",
            itemTags: "route, route layer",
            itemSnippet: "Route and directions for",
            rootFolder: "Home",
            Minutes: "minutes",
            Meters: "meters",
            Miles: "miles",
            StartTime: "Route start time:",
            costAttributeMissing: "Loaded Route Layer does not match the Route Service: cost attribute is missing.",
            differentVersion: "A newer version of Route Layer is detected, not all data could have been loaded."
          }
        },

        browseLayersDlg: {
          browseTitle: "Browse Living Atlas Layers",
          categoryAll: "All Categories",
          categoryImagery: "Imagery",
          subCategoryBasemapImagery: "Basemap Imagery",
          subCategoryMultiSpectral: "Multispectral Imagery",
          subCategoryTemporal: "Temporal Imagery",
          subCategoryEvent: "Event Imagery",
          categoryBasemaps: "Basemaps",
          subCategoryEsriBasemaps: "Esri Basemaps",
          subCategoryPartnerBasemaps: "Partner Basemaps",
          subCategoryUserBasemaps: "User Basemaps",
          categoryHistoricalMaps: "Historical Maps",
          categoryDemographics: "Demographics & Lifestyle",
          subCategoryIncome: "Income & Spending",
          subCategoryPopulation: "Population & Housing",
          subCategorySegmentation: "Segmentation & Behaviors",
          subCategoryBusiness: "Business & Jobs",
          subCategoryAtRisk: "At Risk",
          categoryLandscape: "Landscape",
          subCategoryClimate: "Climate & Weather",
          subCategoryEcology: "Ecology",
          subCategorySpecies: "Species Biology",
          subCategoryDisturbance: "Disturbance & Impact",
          subCategoryElevation: "Elevation",
          subCategoryLand: "Land Cover",
          subCategoryHazards: "Natural Hazards",
          subCategoryOceans: "Oceans",
          subCategorySoils: "Soils/Geology",
          subCategorySubsurface: "Subsurface",
          subCategoryWater: "Water",
          subCategoryWeather: "Weather",
          categoryEarthObservations: "Earth Observations",
          categoryUrbanSystems: "Urban Systems",
          subCategory3DCities: "3D Cities",
          subCategoryMovement: "Movement",
          subCategoryParcels: "Parcels",
          subCategoryPeople: "People",
          subCategoryPlanning: "Planning",
          subCategoryPublic: "Public",
          subCategoryWork: "Work",
          categoryTransportation: "Transportation",
          categoryBoundaries: "Boundaries & Places",
          subCategoryBoundaries: "Boundaries",
          subCategoryPlaces: "Places",
          categoryHexBins: "Hexbins",
          searchFor: "Search for",
          errorLabel: "Error",
          searchTitle: "Search",
          error: {
            wildCardSearchError: "Wildcard searches are not supported."
          }
        },

        gallery: {
          noFilterFields: "Layer ${name} has no fields that can be used for filtering.",
          addToViewer: "Add layer to map",
          noItemsToDisplay: "There are no items currently available to display.",
          searchFor: "Search for",
          searching: "Searching"
        },

        browseItems: {
          items: {
            organizationLabel: "My Organization",
            onlineLabel: "ArcGIS Online",
            contentLabel: "My Content",
            favoritesLabel: "My Favorites",
            portalOrg: "Portal for ArcGIS"
          },
          title: "Select Web Map",
          searchTitle: "Search",
          ok: "Ok",
          cancel: "Cancel",
          placeholder: "Enter search term",
          instructionsLeft: "What do you want to do?",
          instructionsRight: "Select a configurable app.",
          go: "Go",
          selectDetails: "SELECT",
          configure: "Create",
          learnMoreConfigurableApps: "Learn more about configurable apps",
          noValidLayerMsg: "No layers meet the criteria of the input parameter."
        }
    }),
    "ar": 1,
    "bs": 1,
    "cs": 1,
    "da": 1,
    "de": 1,
    "el": 1,
    "es": 1,
    "et": 1,
    "fi": 1,
    "fr": 1,
    "he": 1,
    "hi": 1,
    "hr": 1,
    "id": 1,
    "it": 1,
    "ja": 1,
    "ko": 1,
    "lv": 1,
    "lt": 1,
    "nl": 1,
    "nb": 1,
    "pl": 1,
    "pt-br": 1,
    "pt-pt": 1,
    "ro": 1,
    "ru": 1,
    "sr": 1,
    "sv": 1,
    "th": 1,
    "tr": 1,
    "vi": 1,
    "zh-cn": 1,
    "zh-hk": 1,
    "zh-tw": 1
});
