define({
  root: ({
    common: {
      apply: "Apply",
      ok: "OK",
      cancel: "Cancel",
      yes: "Yes",
      no: "No",
      next: "Next",
      previous: "Previous",
      back: "Back",
      selected: "selected",
      name: "Name",
      usage: "Usage",
      settings: "Settings",
      home: "Home",
      link: "Link",
      messages: "Messages",
      outputs: "Outputs",
      title: "Title",
      thumbnail: "Thumbnail",
      url: "URL",
      actions: "Actions",
      layer: "Layer",
      action: "Action",
      input: "Input",
      output: "Output",
      type: "Type",
      required: "Required",
      options: "Options",
      label: "Label",
      tooltip: "Tooltip",
      visible: "Visible",
      symbol: "Symbol",
      popup: "Popup",
      upload: "Upload",
      execute: "Execute",
      help: "Help",
      executing: "Executing",
      clear: "Clear",
      error: "Error",
      zoomTo: "Zoom to",
      attribute: "Attribute",
      exports: "Export",
      check: "Check",
      save: "Save",
      close: "Close",
      deleteText: "Delete",
      map: "Map",
      scene: "Scene",
      reset: "Reset",
      icon: "Icon",
      folder: "Folder",
      share: "Share",
      view: "View",
      newText: "New",
      edit: "Edit",
      wkid: "WKID",
      table: "Table",
      zoomIn: "Zoom in",
      zoomOut: "Zoom out",
      continue1: "Continue",
      longitude:"Longitude",
      latitude: "Latitude",
      custom: "Custom"
    },
    errorCode: "Code",
    errorMessage: "Message",
    errorDetail: "Detail",
    widgetPlaceholderTooltip: "To set it up, go to Widgets and click corresponding placeholder",
    fieldStatistics: {
      selectField: "Select field",
      statistics: "Statistics",
      field: "Field",
      count: "Number of Values",
      sum: "Sum of Values",
      min: "Minimum",
      max: "Maximum",
      ave: "Average",
      stddev: "Standard Deviation"
    },
    symbolChooser: {
      preview: "Preview",
      basic: "Basic",
      arrows: "Arrows",
      business: "Business",
      cartographic: "Cartographic",
      nationalParkService: "National Park Service",
      outdoorRecreation: "Outdoor Recreation",
      peoplePlaces: "People Places",
      safetyHealth: "Safety Health",
      shapes: "Shapes",
      transportation: "Transportation",
      symbolSize: "Symbol Size",
      color: "Color",
      alpha: "Alpha",
      outlineColor: "Outline Color",
      outlineWidth: "Outline Width",
      style: "Style",
      width: "Width",
      text: "Text",
      fontColor: "Font Color",
      fontSize: "Font Size",
      transparency: "Transparency",
      solid: "Solid",
      dash: "Dash",
      dot: "Dot",
      dashDot: "Dash Dot",
      dashDotDot: "Dash Dot Dot",
      customImage: "Custom Image",
      chooseFile: "Choose file",
      noFileChoosen: "No file chosen."
    },
    transparency: {
      opaque: "Opaque",
      transparent: "Transparent"
    },
    rendererChooser: {
      domain: "Domain",
      use: "Use",
      singleSymbol: "A Single Symbol",
      uniqueSymbol: "Unique Symbols",
      color: "Color",
      size: "Size",
      toShow: "To Show",
      colors: "Colors",
      classes: "Classes",
      symbolSize: "Symbol Size",
      addValue: "Add Value",
      setDefaultSymbol: "Set Default Symbol",
      defaultSymbol: "Default Symbol",
      selectedSymbol: "Selected Symbol",
      value: "Value",
      label: "Label",
      range: "Range"
    },
    drawBox: {
      point: "Point",
      line: "Line",
      polyline: "Polyline",
      freehandPolyline: "Freehand Polyline",
      triangle: "Triangle",
      extent: "Extent",
      circle: "Circle",
      ellipse: "Ellipse",
      polygon: "Polygon",
      freehandPolygon: "Freehand Polygon",
      text: "Text",
      clear: "Clear"
    },
    popupConfig: {
      title: "Title",
      add: "Add",
      fields: "Fields",
      noField: "No Field",
      visibility: "Visible",
      name: "Name",
      alias: "Alias",
      actions: "Actions"
    },
    includeButton: {
      include: "Include"
    },
    loadingShelter: {
      loading: "Loading"
    },
    basicServiceBrowser: {
      noServicesFound: "No service found.",
      unableConnectTo: "Unable to connect to",
      invalidUrlTip: "The URL you have entered is invalid or inaccessible."
    },
    serviceBrowser: {
      noGpFound: "No geoprocessing service found.",
      unableConnectTo: "Unable to connect to"
    },
    layerServiceBrowser: {
      noServicesFound: "No map service or feature service found",
      unableConnectTo: "Unable to connect to"
    },
    basicServiceChooser: {
      validate: "Validate",
      example: "Example",
      set: "Set"
    },
    urlInput: {
      invalidUrl: "Invalid URL."
    },
    urlComboBox: {
      invalidUrl: "Invalid URL."
    },
    filterBuilder: {
      addAnotherExpression: "Add a filter expression",
      addSet: "Add an expression set",
      matchMsg: "Get features in the layer that match ${any_or_all} of the following expressions",
      matchMsgSet: "${any_or_all} of the following expressions in this set are true",
      all: "All",
      any: "Any",
      value: "Value",
      field: "Field",
      unique: "Unique",
      none: "None",
      and: "and",
      valueTooltip: "Enter value",
      fieldTooltip: "Pick from existing field",
      uniqueValueTooltip: "Pick from unique values in selected field",
      stringOperatorIs: "is", // e.g. <stringFieldName> is "California"
      stringOperatorIsNot: "is not",
      stringOperatorStartsWith: "starts with",
      stringOperatorEndsWith: "ends with",
      stringOperatorContains: "contains",
      stringOperatorDoesNotContain: "does not contain",
      stringOperatorIsBlank: "is blank",
      stringOperatorIsNotBlank: "is not blank",
      dateOperatorIsOn: "is on", // e.g. <dateFieldName> is on "1/1/2012"
      dateOperatorIsNotOn: "is not on",
      dateOperatorIsBefore: "is before",
      dateOperatorIsAfter: "is after",
      dateOperatorDays: "days",
      dateOperatorWeeks: "weeks", // e.g. <dateFieldName> is the last 4 weeks
      dateOperatorMonths: "months",
      dateOperatorInTheLast: "in the last",
      dateOperatorNotInTheLast: "not in the last",
      dateOperatorIsBetween: "is between",
      dateOperatorIsNotBetween: "is not between",
      dateOperatorIsBlank: "is blank",
      dateOperatorIsNotBlank: "is not blank",
      numberOperatorIs: "is", // e.g. <numberFieldName> is 1000
      numberOperatorIsNot: "is not",
      numberOperatorIsAtLeast: "is at least",
      numberOperatorIsLessThan: "is less than",
      numberOperatorIsAtMost: "is at most",
      numberOperatorIsGreaterThan: "is greater than",
      numberOperatorIsBetween: "is between",
      numberOperatorIsNotBetween: "is not between",
      numberOperatorIsBlank: "is blank",
      numberOperatorIsNotBlank: "is not blank",
      string: "String",
      number: "Number",
      date: "Date",
      askForValues: "Ask for values",
      prompt: "Prompt",
      hint: "Hint",
      error: {
        invalidParams: "Invalid parameters.",
        invalidUrl: "Invalid URL.",
        noFilterFields: "Layer has no fields that can be used for filter.",
        invalidSQL: "Invalid SQL expression.",
        cantParseSQL: "Can't parse the SQL expression."
      },
      caseSensitive: "Case Sensitive",
      notSupportCaseSensitiveTip: "Hosted services do not support case-sensitive query.",
      setFilterTip: "Please set filter correctly.",
      listValues: "List Values",
      cascadeFilterTip: "Only show values filtered by previous expressions.",
      noneCascadeFilterTip: "All unique values of this field",
      previousCascadeFilterTip: "Values filtered by previous expressions",
      allCascadeFilterTip: "Values filtered by all other expressions"
    },

    featureLayerSource: {
      layer: "Layer",
      browse: "Browse",
      selectFromMap: "Select from Map",
      selectFromPortal: "Add from Portal for ArcGIS",
      addServiceUrl: "Add Service URL",
      inputLayerUrl: "Input Layer URL",
      selectLayer: "Select a feature layer from current map.",
      chooseItem: "Choose a feature layer item.",
      setServiceUrl: "Enter the URL of feature service or map service.",
      selectFromOnline: "Add from ArcGIS Online",
      chooseLayer: "Choose a feature layer."
    },
    queryableLayerSource: {
      layer: "Layer",
      browse: "Browse",
      selectFromMap: "Select from Map",
      selectFromPortal: "Add from Portal for ArcGIS",
      addServiceUrl: "Add Service URL",
      inputLayerUrl: "Input Layer URL",
      selectLayer: "Select a layer from current map.",
      chooseItem: "Choose an item.",
      setServiceUrl: "Enter the URL of the service.",
      selectFromOnline: "Add from ArcGIS Online",
      chooseLayer: "Choose a layer."
    },
    gpSource: {
      selectFromPortal: "Add from Portal for ArcGIS",
      addServiceUrl: "Add Service URL",
      selectFromOnline: "Add from ArcGIS Online",
      setServiceUrl: "Enter the URL of geoprocessing service.",
      chooseItem: "Choose a geoprocessing service item.",
      chooseTask: "Choose a geoprocessing task."
    },
    itemSelector: {
      map: "Map",
      selectWebMap: "Choose Web Map",
      addMapFromOnlineOrPortal: "Find and add a web map in the application from ArcGIS Online public resources or your private content in ArcGIS Online or Portal.",
      searchMapName: "Search by map name...",
      searchNone: "We couldn't find what you were looking for. Please try again.",
      groups: "Groups",
      noneGroups: "No groups",
      signInTip: "Your login session has expired, please refresh your browser to sign in to your portal again.",
      signIn: "Sign in",
      publicMap: "Public",
      myOrganization: "My Organization",
      myGroup: "My Groups",
      myContent: "My Content",
      count: "Count",
      fromPortal: "from Portal",
      fromOnline: "from ArcGIS.com",
      noneThumbnail: "Thumbnail Not Available",
      owner: "owner",
      signInTo: "Sign in to",
      lastModified: "Last Modified",
      moreDetails: "More Details",
      mostRecent: "Most Recent",
      mostViewed: "Most Viewed",
      highestRated: "Highest Rated",
      viewItemDetails: "View item details"
    },
    featureLayerChooserFromPortal: {
      notSupportQuery: "The service doesn't support query."
    },
    basicLayerChooserFromMap: {
      noLayersTip: "There is no appropriate layer available in the map."
    },
    layerInfosMenu: {
      titleBasemap: "Basemaps",
      titleLayers: "Operational Layers",
      labelLayer: "Layer Name",
      itemZoomTo: "Zoom to",
      itemTransparency: "Transparency",
      itemTransparent: "Transparent",
      itemOpaque: "Opaque",
      itemMoveUp: "Move up",
      itemMoveDown: "Move down",
      itemDesc: "Description",
      itemDownload: "Download",
      itemToAttributeTable: "Open Attribute Table"
    },
    imageChooser: {
      unsupportReaderAPI: "TODO: The browser does not suport file reader API",
      readError: "Failed to read the file.",
      unknowError: "unable to complete operations",
      invalidType: "Invalid file type.",
      cropImage: "Crop Image",
      exceed: "File size cannot exceed 1024 KB",
      enableFlash: "Please enable Adobe Flash before browsing to an image.",
      cropWaining: "Please choose a photo that's at least ${width} x ${height} pixels.",
      toolTip: "For the best result, the image should be ${width} pixels wide by ${height} pixels high. Other sizes will be adjusted to fit. Acceptable image formats are: PNG, GIF and JPEG."
    },
    simpleTable: {
      moveUp: "Move up",
      moveDown: "Move down",
      deleteRow: "Delete",
      edit: "Edit"
    },
    urlParams: {
      invalidToken: "Invalid token",
      validateTokenError: "Invalid token or Network error"
    },
    exportTo: {
      exportTo: "Export",
      toCSV: "Export to CSV file",
      toFeatureCollection: "Export to Feature Collection",
      toGeoJSON: "Export to GeoJSON"
    },
    appState: {
      title: "App State",
      restoreMap: "Click to restore the map extent and layers visibility where you left off."
    },
    featureActions: {
      featureActions: "Feature actions",
      ZoomTo: "Zoom to",
      PanTo: "Pan to",
      Flash : "Flash",
      ShowPopup: "Show Pop-up",
      CreateLayer: "Create Layer",
      ShowStatistics: "Statistics...",
      ClearSelection: "Clear Selection",
      ExportToCSV: "Export to CSV file",
      ShowSelectedFeature: "Show Selected Features",
      ExportToFeatureCollection: "Export to Feature Collection",
      ExportToGeoJSON: "Export to GeoJSON",
      EditAttributes: "Edit Attributes",
      AddMarker:"Add a Marker",
      RemoveMarker:"Remove Marker",
      SaveToMyContent: "Save to My Content"
    },
    spatialFilterByFeatures: {
      relatedLayer: "Related layer",
      selectedFeatures: "Use selected features",
      drawShapesTip: "Draw shapes to select features",
      pleaseDrawShapesTip: "Please draw shapes to select features",
      allFeaturesTip: "All features in the layer",
      selectFeaturesOrDrawShapesTip: "Please use selected features in this layer or draw shapes on map to limit features."
    },
    searchDistance: {
      applySearchDistance: "Apply a search distance",
      applySearchDistanceToFeatures: "Apply a search distance to selected features"
    },
    units: {
      miles: "Miles",
      kilometers: "Kilometers",
      feet: "Feet",
      meters: "Meters",
      yards: "Yards",
      nauticalMiles: "Nautical Miles"
    },
    featureSetChooser: {
      select: "Select",
      dragBox: "Drag",
      dragMouse: "Drag the mouse",
      selectByRectangle: "Select By Rectangle",
      selectFeaturesTip: "Select features by dragging box around them on map",
      newSelectionTip: "Create new selection",
      addSelectionTip: "Add to selection",
      removeSelectionTip: "Remove from selection",
      selectFromCurrentSelectionTip: "Select from the current selection",
      unselectAllSelectionTip: "Unselect all currently selected features",
      selectByPolygon: "Select By Polygon",
      selectByCircle: "Select By Circle",
      selectByLine: "Select By Line",
      chooseSelectingTools: "Choose selecting tools",
      darw: "Draw",
      drawShap: "Draw a shape"
    },
    widgetManager: {
      createWidgetError: "Create widget error",
      createWidgetSettingPageError: "Create widget setting page error",
      loadWidgetResourceError: "Load widget resouce error"
    },
    shareOptions: {
      shareMap: "Choose who can view this app",
      shareMapTips: "Your app is currently shared with these people",
      everyone: "Everyone",
      theseGroups: "These groups"
    },
    shareLink: {
      email: "email",
      shareEmail: "Email",
      facebook: "facebook",
      shareFacebook: "Facebook",
      twitter: "twitter",
      shareTwitter: "Twitter",
      googlePlus: "google+",
      shareGooglePlus: "Google+",
      EmbedTips: "Embed this app in a website",
      shareEmailSubject: "Sharing web app:",
      shareEmailTxt1: "Here is a web app shared with you by using Web AppBuilder for ArcGIS.",
      shareEmailTxt2: "You can create and share your own web app with Esri Web AppBuilder for ArcGIS.",
      shareEmailTxt3: "Visit http://www.esri.com/software/web-appbuilder for details.",
      smallSize: "Small",
      mediumSize: "Medium",
      largeSize: "Large",
      customSize: "Custom",
      embed: "Embed this app in a website",
      more: "Embed Options",
      changeShareSettings: "Change Share Settings",
      shareLinkText: "Share a link to this app",
      linkOptions: "Link Options",

      linkOptionsUrlParameters: "Select URL parameters included in the link",
      currentMapExtent: "Current map extent",
      chooseCenterWithLevel: "Click the map to define the center of the map with zoom level",
      chooseCenterWithScale: "Click the map to define the center of the map with map scale",
      findLocation: "Find the location or feature and zoom to it",
      findLocation_inputPlaceholder: "Your place or feature",
      queryFeature: "Query a feature and zoom to it",
      addMarker: "Add a marker on the map",
      addMarker_titlePlaceholder: "Title of the marker pop-up",
      addMarker_symbolURL: "Marker symbol URL",
      addMarker_label: "Marker label",
      popupTitle: "Pop-up title",
      zoomLevel: "Zoom level",
      overwirteMobileLayout: "Overwrite default screen size of mobile layout",
      language: "Set display language of the app",
      auth: "Authenticate a user automatically",
      linkPreview: "Link preview",
      useShortenLink: "Short link",
      shareMapUrlExtent: "Share current map extent",
      shareToWebTips: "This app is not shared with the public. People might not be able to view it."
    },
    webSceneLoader: {
      webglSupportTip: "3D web apps aren't supported in your browser."
    },
    map: {
      basemapNotAvailable: "Basemap is not available.",
      displayDefaultBasemap: "Displaying the default basemap instead.",
      layerLoadedError: "The layer, ${layers} cannot be added to the map."
    },
    popup: {
      relatedTables: "Related Tables:",
      relatedRecords: "Related Records:",
      noRelatedRecotds: "No related records found.",
      chooseFieldTip: "Choose an attribute to show the list",
      saveAsPopupTitle: "Same as Pop-up Title"
    },
    queryFeatures: {
      tooManyFeaturesTip: "There are too many features in your selection. It may take long time to retrieve and display them on the map.",
      askForContinue: "Do you want to continue?"
    },
    colorPalette: {
      transparent: "Transparent",
      custom: "Custom"
    },
    temperature: {
      celsius: "Celsius",
      fahrenheit: "Fahrenheit"
    },
    report: {
      printButtonLabel: "Print",
      reportDimensionsMsg: "This report is designed to be printed on ${paperSize} Paper",
      unableToPrintMapMsg: "An error occurred while printing the map(s).",
      landscape: "Landscape",
      portrait: "Portrait",
      mapOnly: "MAP_ONLY",
      a0: "A0",
      a1: "A1",
      a2: "A2",
      a3: "A3",
      a4: "A4",
      a5: "A5",
      letterANSIA: "Letter ANSI A",
      tabloidANSIB: "Tabloid ANSI B",
      letter: "Letter",
      legal: "Legal",
      tabloid: "Tabloid",
      ansi_a: "ANSI_A",
      ansi_b: "ANSI_B",
      ansi_c: "ANSI_C",
      ansi_d: "ANSI_D",
      ansi_e: "ANSI_E"
    },
    //we put these strings in here instead of in common because these strings are not translated.
    noEditPrivileges: "Your account does not have permission to create or modify data.",
    invalidConfiguration: "Widget is either not configured or the layers in the configuration are no longer in the map.  Please open the app in the builder mode and reconfigure the widget."
  }),
  "ar": 1,
  "bs": 1,
  "cs": 1,
  "da": 1,
  "de": 1,
  "el": 1,
  "es": 1,
  "et": 1,
  "fi": 1,
  "fr": 1,
  "he": 1,
  "hi": 1,
  "hr": 1,
  "it": 1,
  "id": 1,
  "ja": 1,
  "ko": 1,
  "lt": 1,
  "lv": 1,
  "nb": 1,
  "nl": 1,
  "pl": 1,
  "pt-br": 1,
  "pt-pt": 1,
  "ro": 1,
  "ru": 1,
  "sr": 1,
  "sv": 1,
  "th": 1,
  "tr": 1,
  "vi": 1,
  "zh-cn": 1,
  "zh-hk": 1,
  "zh-tw": 1
});
